/**********************************************************************/
/**                                                                  **/
/** Copyright (c) 2007 WEG - All Rights reserved.                    **/
/**                                                                  **/
/** Device        : CTW900 with Anybus-CC interface                  **/
/** Communication : PROFIBUS DP                                      **/
/**                                                                  **/
/**********************************************************************/


MANUFACTURER	268,
DEVICE_TYPE		2,
DEVICE_REVISION	100,
DD_REVISION		1,
EDD_PROFILE		0x03

#include "CTW900_Anybus_Vars.inc"
#include "CTW900_Anybus_Menus.inc"

/* Tableview */

MENU Table_Main_Specialist
{
	LABEL "CTW900";
	ITEMS
	{
		M01,
		M04,
		M05,
		M06,
		M07,
		M08,
		M09
	}
}

MENU Table_Main_Maintenance
{
	LABEL "CTW900";
	ITEMS
	{
		M01,
		M04,
		M05,
		M06,
		M07,
		M08,
		M09
	}
}

/* Menu */
MENU Menu_Main_Specialist
{
	LABEL "CTW900";
	ITEMS
	{
		Menu_Device
	}
}

MENU Menu_Main_Maintenance
{
	LABEL "CTW900";
	ITEMS
	{
		Menu_Device
	}
}

MENU Menu_Device
{
	LABEL "Device";
	ITEMS
	{
		OnlineWindow_display,
		Status_Control_Dialog,
		IO_Dialog,
		Communication_Dialog,
		SEPARATOR,
		D01
	}
}

MENU OnlineWindow_display
{
	LABEL           "Online Dialog";
	ITEMS
	{
		P0001,
		P0002,
		P0003,
		P0004,
		P0005,
		P0006,
		P0007,
		P0008,
		P0009,
		P0010,
		P0040,
		P0041,
		P0048,
		P0049,
		P0680,
		P0681
	}
}

/* IOs */
MENU IO_Dialog
{
	LABEL "I/O Configuration";
	STYLE DIALOG;
	ITEMS
	{
		DI_Page,
		DO_Page,
		AI_Page,
		AO_Page,
		DO_Control_Page,
		AO_Control_Page
	}
}

MENU DI_Page
{
	LABEL "DI";
	STYLE PAGE;
	ITEMS
	{
		P0012,
		COLUMNBREAK,
		P0263,
		P0264,
		P0265,
		P0266,
		P0267,
		P0268,
		P0269,
		P0270
	}
}

MENU DO_Page
{
	LABEL "DO";
	STYLE PAGE;
	ITEMS
	{
		P0013,
		COLUMNBREAK,
		P0275,
		P0276,
		P0277,
		P0278,
		P0279
	}
}

MENU AI_Page
{
	LABEL "AI";
	STYLE PAGE;
	ITEMS
	{
		AI1_Group,
		COLUMNBREAK,
		AI2_Group,
		ROWBREAK,
		AI3_Group,
		COLUMNBREAK,
		AI4_Group
	}
}

MENU AI1_Group
{
	LABEL "AI1";
	STYLE GROUP;
	ITEMS
	{
		P0018,
		P0231,
		P0232,
		P0233,
		P0234,
		P0235
	}
}

MENU AI2_Group
{
	LABEL "AI2";
	STYLE GROUP;
	ITEMS
	{
		P0019,
		P0236,
		P0237,
		P0238,
		P0239,
		P0240
	}
}

MENU AI3_Group
{
	LABEL "AI3";
	STYLE GROUP;
	ITEMS
	{
		P0020,
		P0241,
		P0242,
		P0243,
		P0244,
		P0245
	}
}

MENU AI4_Group
{
	LABEL "AI4";
	STYLE GROUP;
	ITEMS
	{
		P0021,
		P0246,
		P0247,
		P0248,
		P0249,
		P0250
	}
}

MENU AO_Page
{
	LABEL "AO";
	STYLE PAGE;
	ITEMS
	{
		AO1_Group,
		COLUMNBREAK,
		AO2_Group,
		ROWBREAK,
		AO3_Group,
		COLUMNBREAK,
		AO4_Group
	}
}

MENU AO1_Group
{
	LABEL "AO1";
	STYLE GROUP;
	ITEMS
	{
		P0014,
		P0251,
		P0252,
		P0253
	}
}

MENU AO2_Group
{
	LABEL "AO2";
	STYLE GROUP;
	ITEMS
	{
		P0015,
		P0254,
		P0255,
		P0256
	}
}

MENU AO3_Group
{
	LABEL "AO3";
	STYLE GROUP;
	ITEMS
	{
		P0016,
		P0257,
		P0258,
		P0259
	}
}

MENU AO4_Group
{
	LABEL "AO4";
	STYLE GROUP;
	ITEMS
	{
		P0017,
		P0260,
		P0261,
		P0262
	}
}

MENU DO_Control_Page
{
	LABEL "DO Control";
	STYLE PAGE;
	ITEMS
	{
		[DO_Control_Message],
		P0695
	}
}

MENU AO_Control_Page
{
	LABEL "AO Control";
	STYLE PAGE;
	ITEMS
	{
		[AO_Control_Message],
		P0696,
		P0697,
		P0698,
		P0699
	}
}

/* Status and control */
MENU Status_Control_Dialog
{
	LABEL [Status_Control_Dialog];
	STYLE DIALOG;
	ITEMS
	{
		Status_Control_Page,
		Control_Sources_Page
	}
}

MENU Status_Control_Page
{
	LABEL [Status_Control_Page];
	STYLE PAGE;
	ITEMS
	{
		P0680,
		COLUMNBREAK,
		P0686
	}
}

MENU Control_Sources_Page
{
	LABEL [Control_Sources_Page];
	STYLE PAGE;
	ITEMS
	{
		P0220,
		COLUMNBREAK,
		P0105,
		ROWBREAK,
		Local_Group,
		COLUMNBREAK,
		Remote_Group
	}
}

MENU Local_Group
{
	LABEL [Local_Group];
	STYLE GROUP;
	ITEMS
	{
		P0221,
		P0223,
		P0224,
		P0225
	}
}

MENU Remote_Group
{
	LABEL [Remote_Group];
	STYLE GROUP;
	ITEMS
	{
		P0222,
		P0226,
		P0227,
		P0228
	}
}

/* Communication configuration */
MENU Communication_Dialog
{
	LABEL [Communication_Dialog];
	STYLE DIALOG;
	ITEMS
	{
		[Reset_Warning],
		P0723,
		P0724,
		P0725,
		ROWBREAK,
		Read_Parameters_Group,
		COLUMNBREAK,
		Write_Parameters_Group
	}
}

MENU Read_Parameters_Group
{
	LABEL [Read_Parameters_Group];
	STYLE GROUP;
	ITEMS
	{
		[Anybus_Read_Word_1],

		[Anybus_Read_Word_2],

		P0728,
		P0729,
		P0730,
		P0731,
		P0732,
		P0733,
		P0734,
		P0735,
		P0736,
		P0737
	}
}

MENU Write_Parameters_Group
{
	LABEL [Write_Parameters_Group];
	STYLE GROUP;
	ITEMS
	{
		[Anybus_Write_Word_1],

		[Anybus_Write_Word_2],

		P0738,
		P0739,
		P0740,
		P0741,
		P0742,
		P0743,
		P0744,
		P0745,
		P0746,
		P0747
	}
}











