// EDD file for CTW900 with Anybus
// File name:	CTW900_Anybus_Vars.inc
// Date:		8/8/2012
// Firmware Version:	1,02

VARIABLE P0001
{
	LABEL "P0001 Speed Reference|de|P0001 Drehzahlsollwert|es|P0001 Referencia Velocidad";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0001
{
	SLOT 0;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0001 }
	}
}

VARIABLE P0002
{
	LABEL "P0002 Current Speed     |de|P0002 Aktuelle Drehzahl|es|P0002 Velocidad Actual ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0002
{
	SLOT 0;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0002 }
	}
}

VARIABLE P0003
{
	LABEL "P0003 Armature Current   |de|P0003 Ankerstrom|es|P0003 Corriente de Inducido";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0003
{
	SLOT 0;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0003 }
	}
}

VARIABLE P0004
{
	LABEL "P0004 Line Voltage|de|P0004 Netzspannung|es|P0004 Tensin de Lnea";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0004
{
	SLOT 0;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0004 }
	}
}

VARIABLE P0005
{
	LABEL "P0005 Line Frequency|de|P0005 Netzfrequenz|es|P0005 Frecuencia de Lnea";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "Hz";
	HANDLING READ;
}

COMMAND READ_P0005
{
	SLOT 0;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0005 }
	}
}

VARIABLE P0006
{
	LABEL "P0006 Drive Status      |de|P0006 Stromrichterstatus|es|P0006 Estado Convertidor";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disabled|de|Gesperrt|es|Deshabilitado" },
		{ 1, "Ready|de|Ready|es|Ready" },
		{ 2, "Run  |de|Run (Betrieb)|es|Run(Ejecucin)" },
		{ 3, "Undervoltage|de|Unterspannung|es|Subtensin" },
		{ 4, "Fault|de|Fehler|es|Falla" },
		{ 5, "Self-Tuning|de|Selbstabgleich|es|Autoajuste" },
		{ 6, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 7, "Blocked|de|Blockiert|es|Bloqueado" },
		{ 8, "Up Ramp|de|Hochlauf|es|Aceleracin" },
		{ 9, "Down Ramp|de|Auslauf|es|Desaceleracin" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0006
{
	SLOT 0;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0006 }
	}
}

VARIABLE P0007
{
	LABEL "P0007 Armature Voltage   |de|P0007 Ankerspannung|es|P0007 Tensin de Inducido";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -2000;
		MAX_VALUE 2000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0007
{
	SLOT 0;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0007 }
	}
}

VARIABLE P0008
{
	LABEL "P0008 Field Current|de|P0008 Feldstrom|es|P0008 Corriente del Campo";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0008
{
	SLOT 0;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0008 }
	}
}

VARIABLE P0009
{
	LABEL "P0009 Motor Torque    |de|P0009 Motordrehmoment|es|P0009 Torque en el Motor ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0009
{
	SLOT 0;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0009 }
	}
}

VARIABLE P0010
{
	LABEL "P0010 Output Power    |de|P0010 Ausgangsleistung|es|P0010 Potencia Salida ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "kW";
	HANDLING READ;
}

COMMAND READ_P0010
{
	SLOT 0;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0010 }
	}
}

VARIABLE P0011
{
	LABEL "P0011 Selected Bridge|de|P0011 Ausgewhlte Brcke|es|P0011 Puente Seleccionado";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Bridge A|de|Brcke A|es|Puente A" },
		{ 1, "Bridge B|de|Brcke B|es|Puente B" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0011
{
	SLOT 0;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0011 }
	}
}

VARIABLE P0012
{
	LABEL "P0012 DI8 to DI1 Status|de|P0012 DI8...DI1 Status|es|P0012 Estado DI8...DI1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "DI1|de|DI1|es|DI1" },
		{ 0x0002, "DI2|de|DI2|es|DI2" },
		{ 0x0004, "DI3|de|DI3|es|DI3" },
		{ 0x0008, "DI4|de|DI4|es|DI4" },
		{ 0x0010, "DI5|de|DI5|es|DI5" },
		{ 0x0020, "DI6|de|DI6|es|DI6" },
		{ 0x0040, "DI7|de|DI7|es|DI7" },
		{ 0x0080, "DI8|de|DI8|es|DI8" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0012
{
	SLOT 0;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0012 }
	}
}

VARIABLE P0013
{
	LABEL "P0013 DO5 to DO1 Status|de|P0013 DO5...DO1 Status|es|P0013 Estado DO5...DO1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "DO1|de|DO1|es|DO1" },
		{ 0x0002, "DO2|de|DO2|es|DO2" },
		{ 0x0004, "DO3|de|DO3|es|DO3" },
		{ 0x0008, "DO4|de|DO4|es|DO4" },
		{ 0x0010, "DO5|de|DO5|es|DO5" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0013
{
	SLOT 0;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0013 }
	}
}

VARIABLE P0014
{
	LABEL "P0014 AO1 Value       |de|P0014 AO1 Wert|es|P0014 Valor de AO1    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0014
{
	SLOT 0;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0014 }
	}
}

VARIABLE P0015
{
	LABEL "P0015 AO2 Value       |de|P0015 AO2 Wert|es|P0015 Valor de AO2    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0015
{
	SLOT 0;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0015 }
	}
}

VARIABLE P0016
{
	LABEL "P0016 AO3 Value       |de|P0016 AO3 Wert|es|P0016 Valor de AO3    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0016
{
	SLOT 0;
	INDEX 15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0016 }
	}
}

VARIABLE P0017
{
	LABEL "P0017 AO4 Value       |de|P0017 AO4 Wert|es|P0017 Valor de AO4    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0017
{
	SLOT 0;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0017 }
	}
}

VARIABLE P0018
{
	LABEL "P0018 AI1 Value       |de|P0018 AI1 Wert|es|P0018 Valor de AI1    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0018
{
	SLOT 0;
	INDEX 17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0018 }
	}
}

VARIABLE P0019
{
	LABEL "P0019 AI2 Value       |de|P0019 AI2 Wert|es|P0019 Valor de AI2    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0019
{
	SLOT 0;
	INDEX 18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0019 }
	}
}

VARIABLE P0020
{
	LABEL "P0020 AI3 Value       |de|P0020 AI3 Wert|es|P0020 Valor de AI3    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0020
{
	SLOT 0;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0020 }
	}
}

VARIABLE P0021
{
	LABEL "P0021 AI4 Value       |de|P0021 AI4 Wert|es|P0021 Valor de AI4    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0021
{
	SLOT 0;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0021 }
	}
}

VARIABLE P0022
{
	LABEL "P0022 Tacho Voltage|de|P0022 Tacho Spannung|es|P0022 Tensin del Taco";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0022
{
	SLOT 0;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0022 }
	}
}

VARIABLE P0023
{
	LABEL "P0023 Software Version|de|P0023 Softwareversion|es|P0023 Versin Software ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	HANDLING READ;
}

COMMAND READ_P0023
{
	SLOT 0;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0023 }
	}
}

VARIABLE P0024
{
	LABEL "P0024 Armature Firing Angle|de|P0024 Ankersndwinkel|es|P0024 ngulo Control Induc.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "";
	HANDLING READ;
}

COMMAND READ_P0024
{
	SLOT 0;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0024 }
	}
}

VARIABLE P0025
{
	LABEL "P0025 Field Firing Angle|de|P0025 Feldzndwinkel|es|P0025 ngulo Control Campo";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "";
	HANDLING READ;
}

COMMAND READ_P0025
{
	SLOT 0;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0025 }
	}
}

VARIABLE P0026
{
	LABEL "P0026 EMF Voltage|de|P0026 EMK Spannung|es|P0026 Tensin FCEM";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -2000;
		MAX_VALUE 2000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0026
{
	SLOT 0;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0026 }
	}
}

VARIABLE P0027
{
	LABEL "P0027 Accessories Config. 1|de|P0027 Zubehrkonfig. 1|es|P0027 Config. 1 Accesorios";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0027
{
	SLOT 0;
	INDEX 26;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0027 }
	}
}

VARIABLE P0028
{
	LABEL "P0028 Accessories Config. 2|de|P0028 Zubehrkonfig. 2|es|P0028 Config. 2 Accesorios";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0028
{
	SLOT 0;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0028 }
	}
}

VARIABLE P0030
{
	LABEL "P0030 Heatsink Temperature|de|P0030 Khlkrpertemperatur|es|P0030 Temper. Disip. Calor";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0030
{
	SLOT 0;
	INDEX 29;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0030 }
	}
}

VARIABLE P0033
{
	LABEL "P0033 R-S Line Voltage|de|P0033 R-S Netzspannung|es|P0033 Tensin de Lnea R-S";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0033
{
	SLOT 0;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0033 }
	}
}

VARIABLE P0034
{
	LABEL "P0034 S-T Line Voltage|de|P0034 S-T Netzspannung|es|P0034 Tensin de Lnea S-T";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0034
{
	SLOT 0;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0034 }
	}
}

VARIABLE P0035
{
	LABEL "P0035 T-R Line Voltage|de|P0035 T-R Netzspannung|es|P0035 Tensin de Lnea T-R";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0035
{
	SLOT 0;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0035 }
	}
}

VARIABLE P0038
{
	LABEL "P0038 Encoder Speed|de|P0038 Drehgeber Geschw.|es|P0038 Velocidad del Encoder";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0038
{
	SLOT 0;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0038 }
	}
}

VARIABLE P0039
{
	LABEL "P0039 Encoder Pulses Count|de|P0039 Drehgeber PPR Zhler|es|P0039 Contador Pulsos Enc.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 40000;
	}
	HANDLING READ;
}

COMMAND READ_P0039
{
	SLOT 0;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0039 }
	}
}

VARIABLE P0040
{
	LABEL "P0040 DC Tacho Speed|de|P0040 DC Tacho Drehzahl|es|P0040 Velocidad del Taco";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0040
{
	SLOT 0;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0040 }
	}
}

VARIABLE P0041
{
	LABEL "P0041 EMF Speed|de|P0041 EMK Drehzahl|es|P0041 Velocidad por FCEM";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0041
{
	SLOT 0;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0041 }
	}
}

VARIABLE P0042
{
	LABEL "P0042 Time Powered    |de|P0042 Einschaltzeit|es|P0042 Horas Energizado";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P0042
{
	SLOT 0;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0042 }
	}
}

VARIABLE P0043
{
	LABEL "P0043 Time Enabled    |de|P0043 Betriebszeit|es|P0043 Horas Habilitado";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P0043
{
	SLOT 0;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0043 }
	}
}

VARIABLE P0044
{
	LABEL "P0044 kWh Output Energy|de|P0044 kWh-Zhler|es|P0044 Contador kWh";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "kWh";
	HANDLING READ;
}

COMMAND READ_P0044
{
	SLOT 0;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0044 }
	}
}

VARIABLE P0046
{
	LABEL "P0046 Total Speed Reference|de|P0046 Drehzahlsollwert|es|P0046 Ref. Total Velocidad";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -10000;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0046
{
	SLOT 0;
	INDEX 45;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0046 }
	}
}

VARIABLE P0047
{
	LABEL "P0047 Aux. Torque Ref.|de|P0047 Zusatzdrehmom. Sollw.|es|P0047 Ref. Torque Auxiliar";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0047
{
	SLOT 0;
	INDEX 46;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0047 }
	}
}

VARIABLE P0048
{
	LABEL "P0048 Present Alarm      |de|P0048 Aktueller Alarm|es|P0048 Alarma Actual";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0048
{
	SLOT 0;
	INDEX 47;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0048 }
	}
}

VARIABLE P0049
{
	LABEL "P0049 Present Fault|de|P0049 Aktueller Fehler|es|P0049 Falla Actual";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0049
{
	SLOT 0;
	INDEX 48;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0049 }
	}
}

VARIABLE P0050
{
	LABEL "P0050 Last Fault|de|P0050 Letzter Fehler|es|P0050 ltima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0050
{
	SLOT 0;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0050 }
	}
}

VARIABLE P0051
{
	LABEL "P0051 Last Fault Day/Month|de|P0051 Tag/Monat letzter F. |es|P0051 Da/Mes ltima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0051 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0051
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0051 = (P0051&0x00FF) + (P0051>>8)*100; }
}

COMMAND READ_P0051
{
	SLOT 0;
	INDEX 50;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0051 }
	}
}

VARIABLE P0052
{
	LABEL "P0052 Last Fault Year|de|P0052 Jahr letzter Fehler |es|P0052 Ao ltima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0052
{
	SLOT 0;
	INDEX 51;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0052 }
	}
}

VARIABLE P0053
{
	LABEL "P0053 Last Fault Time|de|P0053 Zeit letzter Fehler|es|P0053 Hora ltima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0053 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0053
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0053 = (P0053&0x00FF) + (P0053>>8)*100; }
}

COMMAND READ_P0053
{
	SLOT 0;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0053 }
	}
}

VARIABLE P0054
{
	LABEL "P0054 Second Fault|de|P0054 Zweiter Fehler|es|P0054 Segunda Falla   ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0054
{
	SLOT 0;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0054 }
	}
}

VARIABLE P0055
{
	LABEL "P0055 Second Flt. Day/Month|de|P0055 Tag/Monat 2. Fehler |es|P0055 Da/Mes Segunda Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0055 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0055
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0055 = (P0055&0x00FF) + (P0055>>8)*100; }
}

COMMAND READ_P0055
{
	SLOT 0;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0055 }
	}
}

VARIABLE P0056
{
	LABEL "P0056 Second Fault Year|de|P0056 Jahr 2. Fehler|es|P0056 Ao Segunda Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0056
{
	SLOT 0;
	INDEX 55;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0056 }
	}
}

VARIABLE P0057
{
	LABEL "P0057 Second Fault Time|de|P0057 Zeit 2. Fehler|es|P0057 Hora Segunda Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0057 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0057
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0057 = (P0057&0x00FF) + (P0057>>8)*100; }
}

COMMAND READ_P0057
{
	SLOT 0;
	INDEX 56;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0057 }
	}
}

VARIABLE P0058
{
	LABEL "P0058 Third Fault|de|P0058 Dritter Fehler|es|P0058 Tercera Falla   ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0058
{
	SLOT 0;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0058 }
	}
}

VARIABLE P0059
{
	LABEL "P0059 Third Fault Day/Month|de|P0059 Tag/Monat 3. Fehler |es|P0059 Da/Mes Tercera Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0059 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0059
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0059 = (P0059&0x00FF) + (P0059>>8)*100; }
}

COMMAND READ_P0059
{
	SLOT 0;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0059 }
	}
}

VARIABLE P0060
{
	LABEL "P0060 Third Fault Year|de|P0060 Jahr 3. Fehler|es|P0060 Ao Tercera Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0060
{
	SLOT 0;
	INDEX 59;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0060 }
	}
}

VARIABLE P0061
{
	LABEL "P0061 Third Fault Time|de|P0061 Zeit 3. Fehler|es|P0061 Hora Tercera Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0061 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0061
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0061 = (P0061&0x00FF) + (P0061>>8)*100; }
}

COMMAND READ_P0061
{
	SLOT 0;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0061 }
	}
}

VARIABLE P0062
{
	LABEL "P0062 Fourth Fault|de|P0062 Vierter Fehler|es|P0062 Cuarta Falla    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0062
{
	SLOT 0;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0062 }
	}
}

VARIABLE P0063
{
	LABEL "P0063 Fourth Flt. Day/Month|de|P0063 Tag/Monat 4. Fehler |es|P0063 Da/Mes Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0063 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0063
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0063 = (P0063&0x00FF) + (P0063>>8)*100; }
}

COMMAND READ_P0063
{
	SLOT 0;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0063 }
	}
}

VARIABLE P0064
{
	LABEL "P0064 Fourth Fault Year|de|P0064 Jahr 4. Fehler|es|P0064 Ao Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0064
{
	SLOT 0;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0064 }
	}
}

VARIABLE P0065
{
	LABEL "P0065 Fourth Fault Time|de|P0065 Zeit 4. Fehler|es|P0065 Hora Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0065 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0065
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0065 = (P0065&0x00FF) + (P0065>>8)*100; }
}

COMMAND READ_P0065
{
	SLOT 0;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0065 }
	}
}

VARIABLE P0066
{
	LABEL "P0066 Fifth Fault|de|P0066 Fnfter Fehler|es|P0066 Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0066
{
	SLOT 0;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0066 }
	}
}

VARIABLE P0067
{
	LABEL "P0067 Fifth Fault Day/Month|de|P0067 Tag/Monat 5. Fehler |es|P0067 Da/Mes Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0067 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0067
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0067 = (P0067&0x00FF) + (P0067>>8)*100; }
}

COMMAND READ_P0067
{
	SLOT 0;
	INDEX 66;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0067 }
	}
}

VARIABLE P0068
{
	LABEL "P0068 Fifth Fault Year|de|P0068 Jahr 5. Fehler|es|P0068 Ao Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0068
{
	SLOT 0;
	INDEX 67;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0068 }
	}
}

VARIABLE P0069
{
	LABEL "P0069 Fifth Fault Time|de|P0069 Zeit 5. Fehler|es|P0069 Hora Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0069 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0069
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0069 = (P0069&0x00FF) + (P0069>>8)*100; }
}

COMMAND READ_P0069
{
	SLOT 0;
	INDEX 68;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0069 }
	}
}

VARIABLE P0070
{
	LABEL "P0070 Sixth Fault|de|P0070 Sechster Fehler|es|P0070 Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0070
{
	SLOT 0;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0070 }
	}
}

VARIABLE P0071
{
	LABEL "P0071 Sixth Fault Day/Month|de|P0071 Tag/Monat 6. Fehler |es|P0071 Da/Mes Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0071 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0071
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0071 = (P0071&0x00FF) + (P0071>>8)*100; }
}

COMMAND READ_P0071
{
	SLOT 0;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0071 }
	}
}

VARIABLE P0072
{
	LABEL "P0072 Sixth Fault Year|de|P0072 Jahr 6. Fehler|es|P0072 Ao Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0072
{
	SLOT 0;
	INDEX 71;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0072 }
	}
}

VARIABLE P0073
{
	LABEL "P0073 Sixth Fault Time|de|P0073 Zeit 6. Fehler|es|P0073 Hora Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0073 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0073
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0073 = (P0073&0x00FF) + (P0073>>8)*100; }
}

COMMAND READ_P0073
{
	SLOT 0;
	INDEX 72;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0073 }
	}
}

VARIABLE P0074
{
	LABEL "P0074 Seventh Fault|de|P0074 Siebter Fehler|es|P0074 Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0074
{
	SLOT 0;
	INDEX 73;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0074 }
	}
}

VARIABLE P0075
{
	LABEL "P0075 Seventh Flt.Day/Month|de|P0075 Tag/Monat 7. Fehler |es|P0075 Da/Mes Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0075 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0075
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0075 = (P0075&0x00FF) + (P0075>>8)*100; }
}

COMMAND READ_P0075
{
	SLOT 0;
	INDEX 74;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0075 }
	}
}

VARIABLE P0076
{
	LABEL "P0076 Seventh Fault Year|de|P0076 Jahr 7. Fehler|es|P0076 Ao Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0076
{
	SLOT 0;
	INDEX 75;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0076 }
	}
}

VARIABLE P0077
{
	LABEL "P0077 Seventh Fault Time|de|P0077 Zeit 7. Fehler|es|P0077 Hora Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0077 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0077
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0077 = (P0077&0x00FF) + (P0077>>8)*100; }
}

COMMAND READ_P0077
{
	SLOT 0;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0077 }
	}
}

VARIABLE P0078
{
	LABEL "P0078 Eighth Fault|de|P0078 Achter Fehler|es|P0078 Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0078
{
	SLOT 0;
	INDEX 77;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0078 }
	}
}

VARIABLE P0079
{
	LABEL "P0079 Eighth Flt. Day/Month|de|P0079 Tag/Monat 8. Fehler |es|P0079 Da/Mes Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0079 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0079
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0079 = (P0079&0x00FF) + (P0079>>8)*100; }
}

COMMAND READ_P0079
{
	SLOT 0;
	INDEX 78;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0079 }
	}
}

VARIABLE P0080
{
	LABEL "P0080 Eighth Fault Year|de|P0080 Jahr 8. Fehler|es|P0080 Ao Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0080
{
	SLOT 0;
	INDEX 79;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0080 }
	}
}

VARIABLE P0081
{
	LABEL "P0081 Eighth Fault Time|de|P0081 Zeit 8. Fehler|es|P0081 Hora Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0081 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0081
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0081 = (P0081&0x00FF) + (P0081>>8)*100; }
}

COMMAND READ_P0081
{
	SLOT 0;
	INDEX 80;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0081 }
	}
}

VARIABLE P0082
{
	LABEL "P0082 Ninth Fault|de|P0082 Neunter Fehler|es|P0082 Novena Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0082
{
	SLOT 0;
	INDEX 81;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0082 }
	}
}

VARIABLE P0083
{
	LABEL "P0083 Ninth Fault Day/Month|de|P0083 Tag/Monat 9. Fehler |es|P0083 Da/Mes Novena Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0083 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0083
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0083 = (P0083&0x00FF) + (P0083>>8)*100; }
}

COMMAND READ_P0083
{
	SLOT 0;
	INDEX 82;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0083 }
	}
}

VARIABLE P0084
{
	LABEL "P0084 Ninth Fault Year|de|P0084 Jahr 9. Fehler|es|P0084 Ao Novena Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0084
{
	SLOT 0;
	INDEX 83;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0084 }
	}
}

VARIABLE P0085
{
	LABEL "P0085 Ninth Fault Time|de|P0085 Zeit 9. Fehler|es|P0085 Hora Novena Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0085 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0085
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0085 = (P0085&0x00FF) + (P0085>>8)*100; }
}

COMMAND READ_P0085
{
	SLOT 0;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0085 }
	}
}

VARIABLE P0086
{
	LABEL "P0086 Tenth Fault|de|P0086 Zehnter Fehler|es|P0086 Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0086
{
	SLOT 0;
	INDEX 85;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0086 }
	}
}

VARIABLE P0087
{
	LABEL "P0087 Tenth Fault Day/Month|de|P0087 Tag/Monat 10. Fehler |es|P0087 Da/Mes Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0087 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0087
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0087 = (P0087&0x00FF) + (P0087>>8)*100; }
}

COMMAND READ_P0087
{
	SLOT 0;
	INDEX 86;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0087 }
	}
}

VARIABLE P0088
{
	LABEL "P0088 Tenth Fault Year|de|P0088 Jahr 10. Fehler|es|P0088 Ao Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2000;
		MIN_VALUE 0;
		MAX_VALUE 2099;
	}
	HANDLING READ;
}

COMMAND READ_P0088
{
	SLOT 0;
	INDEX 87;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0088 }
	}
}

VARIABLE P0089
{
	LABEL "P0089 Tenth Fault Time|de|P0089 Zeit 10. Fehler|es|P0089 Hora Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0089 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0089
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0089 = (P0089&0x00FF) + (P0089>>8)*100; }
}

COMMAND READ_P0089
{
	SLOT 0;
	INDEX 88;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0089 }
	}
}

VARIABLE P0090
{
	LABEL "P0090 Arm. Curr. Last Fault|de|P0090 Ankerstrom l. Fehler|es|P0090 Corr. Ind. lt. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0090
{
	SLOT 0;
	INDEX 89;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0090 }
	}
}

VARIABLE P0091
{
	LABEL "P0091 Arm Volt. Last Fault|de|P0091 Ankerspannung l. F.|es|P0091 Tensin Ind.lt.Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 2000;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0091
{
	SLOT 0;
	INDEX 90;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0091 }
	}
}

VARIABLE P0092
{
	LABEL "P0092 Speed At Last Fault|de|P0092 Geschwindigkeit l. F.|es|P0092 Velocidad lt. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0092
{
	SLOT 0;
	INDEX 91;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0092 }
	}
}

VARIABLE P0093
{
	LABEL "P0093 Total Ref. Last Fault|de|P0093 Sollwert letzter F.|es|P0093 Ref. Total lt. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -10000;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
	HANDLING READ;
}

COMMAND READ_P0093
{
	SLOT 0;
	INDEX 92;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0093 }
	}
}

VARIABLE P0094
{
	LABEL "P0094 Field Curr Last Fault|de|P0094 Feldstrom l. Fehler|es|P0094 Corr. Campo lt.Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0094
{
	SLOT 0;
	INDEX 93;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0094 }
	}
}

VARIABLE P0096
{
	LABEL "P0096 DIx Status Last Fault|de|P0096 DIx Status letzter F.|es|P0096 Estado DIx lt. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "DI1|de|DI1|es|DI1" },
		{ 0x0002, "DI2|de|DI2|es|DI2" },
		{ 0x0004, "DI3|de|DI3|es|DI3" },
		{ 0x0008, "DI4|de|DI4|es|DI4" },
		{ 0x0010, "DI5|de|DI5|es|DI5" },
		{ 0x0020, "DI6|de|DI6|es|DI6" },
		{ 0x0040, "DI7|de|DI7|es|DI7" },
		{ 0x0080, "DI8|de|DI8|es|DI8" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0096
{
	SLOT 0;
	INDEX 95;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0096 }
	}
}

VARIABLE P0097
{
	LABEL "P0097 DOx Status Last Fault|de|P0097 DOx Status letzter F.|es|P0097 Estado DOx lt. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "DO1|de|DO1|es|DO1" },
		{ 0x0002, "DO2|de|DO2|es|DO2" },
		{ 0x0004, "DO3|de|DO3|es|DO3" },
		{ 0x0008, "DO4|de|DO4|es|DO4" },
		{ 0x0010, "DO5|de|DO5|es|DO5" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0097
{
	SLOT 0;
	INDEX 96;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0097 }
	}
}

VARIABLE P0098
{
	LABEL "P0098 Phase Sequence|de|P0098 Phasenfolge|es|P0098 Secuencia de Fases";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "RST|de|RST|es|RST" },
		{ 1, "RTS|de|RTS|es|RTS" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0098
{
	SLOT 0;
	INDEX 97;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0098 }
	}
}

VARIABLE P0100
{
	LABEL "P0100 Acceleration Time  |de|P0100 Hochlaufzeit|es|P0100 Tiempo Aceleracin  ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0100
{
	SLOT 0;
	INDEX 99;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0100 }
	}
}

WRITE_P0100 LIKE READ_P0100
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0100 }
		REPLY { }
	}
}

VARIABLE P0101
{
	LABEL "P0101 Deceleration Time|de|P0101 Bremszeit|es|P0101 Tiempo Desaceleracin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0101
{
	SLOT 0;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0101 }
	}
}

WRITE_P0101 LIKE READ_P0101
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0101 }
		REPLY { }
	}
}

VARIABLE P0102
{
	LABEL "P0102 Acceleration Time 2|de|P0102 2. Hochlaufzeit|es|P0102 Tiempo Aceler. 2a";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0102
{
	SLOT 0;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0102 }
	}
}

WRITE_P0102 LIKE READ_P0102
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0102 }
		REPLY { }
	}
}

VARIABLE P0103
{
	LABEL "P0103 Deceleration Time 2|de|P0103 2. Bremszeit|es|P0103 Tiempo Desacel. 2a";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0103
{
	SLOT 0;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0103 }
	}
}

WRITE_P0103 LIKE READ_P0103
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0103 }
		REPLY { }
	}
}

VARIABLE P0104
{
	LABEL "P0104 S Ramp          |de|P0104 S-Rampe|es|P0104 Rampa S         ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactiva  " },
		{ 1, "50%|de|50%|es|50%" },
		{ 2, "100%|de|100%|es|100%" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0104
{
	SLOT 0;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0104 }
	}
}

WRITE_P0104 LIKE READ_P0104
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0104 }
		REPLY { }
	}
}

VARIABLE P0105
{
	LABEL "P0105 1st/2nd Ramp Select.|de|P0105 1./2. Rampe Auswahl|es|P0105 Seleccin 1a/2a Rampa";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "1st Ramp|de|1. Rampe|es|1a Rampa" },
		{ 1, "2nd Ramp|de|2. Rampe|es|2a Rampa" },
		{ 2, "DIx       |de|DIx       |es|DIx       " },
		{ 3, "Serial/USB|de|Seriell/USB|es|Serie/USB" },
		{ 4, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 5, "SoftPLC|de|SoftSPS|es|SoftPLC" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0105
{
	SLOT 0;
	INDEX 104;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0105 }
	}
}

WRITE_P0105 LIKE READ_P0105
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0105 }
		REPLY { }
	}
}

VARIABLE P0120
{
	LABEL "P0120 Speed Ref. Backup|de|P0120 Sollwertbackup|es|P0120 Backup Referencia";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactiva  " },
		{ 1, "On        |de|Ein|es|Activa    " }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0120
{
	SLOT 0;
	INDEX 119;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0120 }
	}
}

WRITE_P0120 LIKE READ_P0120
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0120 }
		REPLY { }
	}
}

VARIABLE P0121
{
	LABEL "P0121 Keypad Reference|de|P0121 Tastatursollwert|es|P0121 Referencia Tecla";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 90;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0121
{
	SLOT 0;
	INDEX 120;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0121 }
	}
}

WRITE_P0121 LIKE READ_P0121
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0121 }
		REPLY { }
	}
}

VARIABLE P0122
{
	LABEL "P0122 JOG/JOG+ Reference   |de|P0122 JOG/JOG+ Sollwert|es|P0122 Referencia JOG/JOG+  ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 150;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0122
{
	SLOT 0;
	INDEX 121;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0122 }
	}
}

WRITE_P0122 LIKE READ_P0122
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0122 }
		REPLY { }
	}
}

VARIABLE P0123
{
	LABEL "P0123 JOG- Reference  |de|P0123 JOG- Sollwert|es|P0123 Referencia JOG- ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 150;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0123
{
	SLOT 0;
	INDEX 122;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0123 }
	}
}

WRITE_P0123 LIKE READ_P0123
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0123 }
		REPLY { }
	}
}

VARIABLE P0124
{
	LABEL "P0124 Multispeed Ref. 1|de|P0124 Multispeedsollwert 1|es|P0124 Ref. 1 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 90;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0124
{
	SLOT 0;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0124 }
	}
}

WRITE_P0124 LIKE READ_P0124
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0124 }
		REPLY { }
	}
}

VARIABLE P0125
{
	LABEL "P0125 Multispeed Ref. 2|de|P0125 Multispeedsollwert 2|es|P0125 Ref. 2 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 300;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0125
{
	SLOT 0;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0125 }
	}
}

WRITE_P0125 LIKE READ_P0125
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0125 }
		REPLY { }
	}
}

VARIABLE P0126
{
	LABEL "P0126 Multispeed Ref. 3|de|P0126 Multispeedsollwert 3|es|P0126 Ref. 3 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 600;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0126
{
	SLOT 0;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0126 }
	}
}

WRITE_P0126 LIKE READ_P0126
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0126 }
		REPLY { }
	}
}

VARIABLE P0127
{
	LABEL "P0127 Multispeed Ref. 4|de|P0127 Multispeedsollwert 4|es|P0127 Ref. 4 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 900;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0127
{
	SLOT 0;
	INDEX 126;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0127 }
	}
}

WRITE_P0127 LIKE READ_P0127
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0127 }
		REPLY { }
	}
}

VARIABLE P0128
{
	LABEL "P0128 Multispeed Ref. 5|de|P0128 Multispeedsollwert 5|es|P0128 Ref. 5 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1200;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0128
{
	SLOT 0;
	INDEX 127;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0128 }
	}
}

WRITE_P0128 LIKE READ_P0128
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0128 }
		REPLY { }
	}
}

VARIABLE P0129
{
	LABEL "P0129 Multispeed Ref. 6|de|P0129 Multispeedsollwert 6|es|P0129 Ref. 6 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1500;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0129
{
	SLOT 0;
	INDEX 128;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0129 }
	}
}

WRITE_P0129 LIKE READ_P0129
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0129 }
		REPLY { }
	}
}

VARIABLE P0130
{
	LABEL "P0130 Multispeed Ref. 7|de|P0130 Multispeedsollwert 7|es|P0130 Ref. 7 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1800;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0130
{
	SLOT 0;
	INDEX 129;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0130 }
	}
}

WRITE_P0130 LIKE READ_P0130
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0130 }
		REPLY { }
	}
}

VARIABLE P0131
{
	LABEL "P0131 Multispeed Ref. 8|de|P0131 Multispeedsollwert 8|es|P0131 Ref. 8 Multispeed";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1650;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0131
{
	SLOT 0;
	INDEX 130;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0131 }
	}
}

WRITE_P0131 LIKE READ_P0131
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0131 }
		REPLY { }
	}
}

VARIABLE P0132
{
	LABEL "P0132 Max. Overspeed Level|de|P0132 berdrehzahlniveau|es|P0132 Nivel Mx.Sobreveloc.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 10;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0132
{
	SLOT 0;
	INDEX 131;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0132 }
	}
}

WRITE_P0132 LIKE READ_P0132
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0132 }
		REPLY { }
	}
}

VARIABLE P0133
{
	LABEL "P0133 Minimum Speed   |de|P0133 Minimaldrehzahl|es|P0133 Velocidad Mnima";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0133
{
	SLOT 0;
	INDEX 132;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0133 }
	}
}

WRITE_P0133 LIKE READ_P0133
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0133 }
		REPLY { }
	}
}

VARIABLE P0134
{
	LABEL "P0134 Maximum Speed   |de|P0134 Maximaldrehzahl|es|P0134 Velocidad Mxima";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1800;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0134
{
	SLOT 0;
	INDEX 133;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0134 }
	}
}

WRITE_P0134 LIKE READ_P0134
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0134 }
		REPLY { }
	}
}

VARIABLE P0135
{
	LABEL "P0135 Max. Output Current|de|P0135 Maximalstrom|es|P0135 Corriente Mx. Salida";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0135
{
	SLOT 0;
	INDEX 134;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0135 }
	}
}

WRITE_P0135 LIKE READ_P0135
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0135 }
		REPLY { }
	}
}

VARIABLE P0136
{
	LABEL "P0136 Current Limit at Nmax|de|P0136 Current Limit at Nmax|es|P0136 Lmite Corr. p/ Nmx";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 125;
		MIN_VALUE 2;
		MAX_VALUE 125;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0136
{
	SLOT 0;
	INDEX 135;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0136 }
	}
}

WRITE_P0136 LIKE READ_P0136
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0136 }
		REPLY { }
	}
}

VARIABLE P0137
{
	LABEL "P0137 Stall Protec. Time|de|P0137 Blockierschutz Zeit|es|P0137 Tiempo Bloqueo Rotor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 2;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0137
{
	SLOT 0;
	INDEX 136;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0137 }
	}
}

WRITE_P0137 LIKE READ_P0137
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0137 }
		REPLY { }
	}
}

VARIABLE P0138
{
	LABEL "P0138 Speed Lim. Max. Curr.|de|P0138 Speed Lim. Max. Curr.|es|P0138 Lm.Vel. p/ Mx.Corr.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1800;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0138
{
	SLOT 0;
	INDEX 137;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0138 }
	}
}

WRITE_P0138 LIKE READ_P0138
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0138 }
		REPLY { }
	}
}

VARIABLE P0139
{
	LABEL "P0139 Speed for Stall Prot.|de|P0139 Speed for Stall Prot.|es|P0139 Veloc. p/ Rotor Bloq.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 18;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0139
{
	SLOT 0;
	INDEX 138;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0139 }
	}
}

WRITE_P0139 LIKE READ_P0139
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0139 }
		REPLY { }
	}
}

VARIABLE P0156
{
	LABEL "P0156 Overload Current|de|P0156 berlaststrom |es|P0156 Corriente Sobrecarga";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0156
{
	SLOT 0;
	INDEX 155;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0156 }
	}
}

WRITE_P0156 LIKE READ_P0156
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0156 }
		REPLY { }
	}
}

VARIABLE P0157
{
	LABEL "P0157 Curr. w/o Overload|de|P0157 Nennstrom ohne berl.|es|P0157 Corr. sin Sobrecarga";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0157
{
	SLOT 0;
	INDEX 156;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0157 }
	}
}

WRITE_P0157 LIKE READ_P0157
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0157 }
		REPLY { }
	}
}

VARIABLE P0158
{
	LABEL "P0158 Time to Overload Prot|de|P0158 berlastzeit|es|P0158 Tiempo Prot.Sobrecar.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 300;
		MIN_VALUE 5;
		MAX_VALUE 600;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0158
{
	SLOT 0;
	INDEX 157;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0158 }
	}
}

WRITE_P0158 LIKE READ_P0158
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0158 }
		REPLY { }
	}
}

VARIABLE P0159
{
	LABEL "P0159 Speed Prop. Gain 1|de|P0159 P1Drehzahlverstrkung|es|P0159 Ganancia 1 Prop. Vel.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
}

COMMAND READ_P0159
{
	SLOT 0;
	INDEX 158;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0159 }
	}
}

WRITE_P0159 LIKE READ_P0159
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0159 }
		REPLY { }
	}
}

VARIABLE P0160
{
	LABEL "P0160 Speed Integral Gain 1|de|P0160 I1Drehzahlverstrkung|es|P0160 Ganancia 1 Int. Vel.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0160
{
	SLOT 0;
	INDEX 159;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0160 }
	}
}

WRITE_P0160 LIKE READ_P0160
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0160 }
		REPLY { }
	}
}

VARIABLE P0161
{
	LABEL "P0161 Speed Prop. Gain 2|de|P0161 P2Drehzahlverstrkung|es|P0161 Ganancia 2 Prop. Vel.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
}

COMMAND READ_P0161
{
	SLOT 0;
	INDEX 160;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0161 }
	}
}

WRITE_P0161 LIKE READ_P0161
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0161 }
		REPLY { }
	}
}

VARIABLE P0162
{
	LABEL "P0162 Speed Integral Gain 2|de|P0162 I2Drehzahlverstrkung|es|P0162 Ganancia 2 Int. Vel.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0162
{
	SLOT 0;
	INDEX 161;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0162 }
	}
}

WRITE_P0162 LIKE READ_P0162
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0162 }
		REPLY { }
	}
}

VARIABLE P0163
{
	LABEL "P0163 LOC Reference Offset|de|P0163 LOC Sollwertoffset |es|P0163 Offset Referencia LOC";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -999;
		MAX_VALUE 999;
	}
}

COMMAND READ_P0163
{
	SLOT 0;
	INDEX 162;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0163 }
	}
}

WRITE_P0163 LIKE READ_P0163
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0163 }
		REPLY { }
	}
}

VARIABLE P0164
{
	LABEL "P0164 REM Reference Offset|de|P0164 REM Sollwertoffset|es|P0164 Offset Referencia REM";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -999;
		MAX_VALUE 999;
	}
}

COMMAND READ_P0164
{
	SLOT 0;
	INDEX 163;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0164 }
	}
}

WRITE_P0164 LIKE READ_P0164
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0164 }
		REPLY { }
	}
}

VARIABLE P0165
{
	LABEL "P0165 Speed Filter|de|P0165 Drehzahlfilter |es|P0165 Filtro Velocidad";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0165
{
	SLOT 0;
	INDEX 164;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0165 }
	}
}

WRITE_P0165 LIKE READ_P0165
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0165 }
		REPLY { }
	}
}

VARIABLE P0166
{
	LABEL "P0166 Speed Diff. Gain|de|P0166 D Drehzahlverstrkung|es|P0166 Ganancia Dif. Vel.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0166
{
	SLOT 0;
	INDEX 165;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0166 }
	}
}

WRITE_P0166 LIKE READ_P0166
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0166 }
		REPLY { }
	}
}

VARIABLE P0167
{
	LABEL "P0167 Current Prop. Gain|de|P0167 P Stromverstrkung|es|P0167 Gan Prop. Corriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0167
{
	SLOT 0;
	INDEX 166;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0167 }
	}
}

WRITE_P0167 LIKE READ_P0167
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0167 }
		REPLY { }
	}
}

VARIABLE P0168
{
	LABEL "P0168 Current Inter. I Gain|de|P0168 I Stromverstrkung|es|P0168 Gan I Int. Corriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0168
{
	SLOT 0;
	INDEX 167;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0168 }
	}
}

WRITE_P0168 LIKE READ_P0168
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0168 }
		REPLY { }
	}
}

VARIABLE P0169
{
	LABEL "P0169 (+) Torque Curr. Lim.|de|P0169 Max. +Drehmomentstrom|es|P0169 Lm. Corr. Torque (+)";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0169
{
	SLOT 0;
	INDEX 168;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0169 }
	}
}

WRITE_P0169 LIKE READ_P0169
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0169 }
		REPLY { }
	}
}

VARIABLE P0170
{
	LABEL "P0170 (-) Torque Curr. Lim.|de|P0170 Max. -Drehmomentstrom|es|P0170 Lm. Corr. Torque (-)";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0170
{
	SLOT 0;
	INDEX 169;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0170 }
	}
}

WRITE_P0170 LIKE READ_P0170
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0170 }
		REPLY { }
	}
}

VARIABLE P0171
{
	LABEL "P0171 Current Cont. I Gain|de|P0171 Kont. I Stromverst.|es|P0171 Gan I Cont Corriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0171
{
	SLOT 0;
	INDEX 170;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0171 }
	}
}

WRITE_P0171 LIKE READ_P0171
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0171 }
		REPLY { }
	}
}

VARIABLE P0172
{
	LABEL "P0172 Ia* Variation Rate|de|P0172 Ia* nderungsrate|es|P0172 Tasa de Cambio Ia*";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "ms";
}

COMMAND READ_P0172
{
	SLOT 0;
	INDEX 171;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0172 }
	}
}

WRITE_P0172 LIKE READ_P0172
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0172 }
		REPLY { }
	}
}

VARIABLE P0173
{
	LABEL "P0173 If* Variation Rate|de|P0173 If* nderungsrate|es|P0173 Tasa de Cambio If*";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 200;
		MIN_VALUE 0;
		MAX_VALUE 3000;
	}
	CONSTANT_UNIT "ms";
}

COMMAND READ_P0173
{
	SLOT 0;
	INDEX 172;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0173 }
	}
}

WRITE_P0173 LIKE READ_P0173
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0173 }
		REPLY { }
	}
}

VARIABLE P0175
{
	LABEL "P0175 Field Proport. Gain|de|P0175 P Flussverstrkung|es|P0175 Ganancia Prop. Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0175
{
	SLOT 0;
	INDEX 174;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0175 }
	}
}

WRITE_P0175 LIKE READ_P0175
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0175 }
		REPLY { }
	}
}

VARIABLE P0176
{
	LABEL "P0176 Field Integral Gain|de|P0176 I Flussverstrkung|es|P0176 Ganancia Int. Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0176
{
	SLOT 0;
	INDEX 175;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0176 }
	}
}

WRITE_P0176 LIKE READ_P0176
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0176 }
		REPLY { }
	}
}

VARIABLE P0177
{
	LABEL "P0177 Field Minimum Current|de|P0177 Mindestfeldstrom|es|P0177 Corr. Mnima Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0177
{
	SLOT 0;
	INDEX 176;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0177 }
	}
}

WRITE_P0177 LIKE READ_P0177
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0177 }
		REPLY { }
	}
}

VARIABLE P0178
{
	LABEL "P0178 Field Save Current|de|P0178 Energiesparfeldstrom|es|P0178 Corr. Economia Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0178
{
	SLOT 0;
	INDEX 177;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0178 }
	}
}

WRITE_P0178 LIKE READ_P0178
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0178 }
		REPLY { }
	}
}

VARIABLE P0179
{
	LABEL "P0179 Field Weakening Point|de|P0179 Feldschwchpunkt|es|P0179 Punto Debilit. Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 100;
		MIN_VALUE 75;
		MAX_VALUE 110;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0179
{
	SLOT 0;
	INDEX 178;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0179 }
	}
}

WRITE_P0179 LIKE READ_P0179
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0179 }
		REPLY { }
	}
}

VARIABLE P0185
{
	LABEL "P0185 Ua Signal Gain|de|P0185 Ua Signal Verstrkung|es|P0185 Ganan. Sinal Ua";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0185
{
	SLOT 0;
	INDEX 184;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0185 }
	}
}

WRITE_P0185 LIKE READ_P0185
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0185 }
		REPLY { }
	}
}

VARIABLE P0186
{
	LABEL "P0186 EMF Prop. Gain|de|P0186 P EMK Verstrkung|es|P0186 Ganancia Prop. FCEM";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0186
{
	SLOT 0;
	INDEX 185;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0186 }
	}
}

WRITE_P0186 LIKE READ_P0186
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0186 }
		REPLY { }
	}
}

VARIABLE P0187
{
	LABEL "P0187 EMF Integral Gain|de|P0187 I EMK Verstrkung|es|P0187 Ganancia Integr. FCEM";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0187
{
	SLOT 0;
	INDEX 186;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0187 }
	}
}

WRITE_P0187 LIKE READ_P0187
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0187 }
		REPLY { }
	}
}

VARIABLE P0188
{
	LABEL "P0188 EMF Filter|de|P0188 EMK Filter|es|P0188 Filtro FCEM";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0188
{
	SLOT 0;
	INDEX 187;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0188 }
	}
}

WRITE_P0188 LIKE READ_P0188
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0188 }
		REPLY { }
	}
}

VARIABLE P0200
{
	LABEL "P0200 Password        |de|P0200 Passwort|es|P0200 Seguridad       ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactiva  " },
		{ 1, "On        |de|Ein|es|Activa    " },
		{ 2, "Change Pass.|de|Pass. ndern|es|Cambiar Seg." }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0200
{
	SLOT 0;
	INDEX 199;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0200 }
	}
}

WRITE_P0200 LIKE READ_P0200
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0200 }
		REPLY { }
	}
}

VARIABLE P0201
{
	LABEL "P0201 Language        |de|P0201 Sprache|es|P0201 Idioma          ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Portugus |de|Portugus |es|Portugus " },
		{ 1, "English|de|English|es|English" },
		{ 2, "Espaol|de|Espaol|es|Espaol" },
		{ 3, "Deutsch|de|Deutsch|es|Deutsch" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0201
{
	SLOT 0;
	INDEX 200;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0201 }
	}
}

WRITE_P0201 LIKE READ_P0201
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0201 }
		REPLY { }
	}
}

VARIABLE P0202
{
	LABEL "P0202 Speed Feedback Selec.|de|P0202 Auswahl Drehzahlrckf|es|P0202 Realim. Velocidad";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "EMF|de|EMK|es|FCEM" },
		{ 1, "DC Tacho|de|DC Tacho   |es|Taco CC" },
		{ 2, "Encoder|de|Drehgeber|es|Encoder" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0202
{
	SLOT 0;
	INDEX 201;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0202 }
	}
}

WRITE_P0202 LIKE READ_P0202
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0202 }
		REPLY { }
	}
}

VARIABLE P0204
{
	LABEL "P0204 Load/Save Parameters|de|P0204 Lade/Speicher Param.|es|P0204 Carga/Salva Parm.";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Reset P0043|de|Reset P0043|es|Reset P0043" },
		{ 2, "Reset P0044|de|Reset P0044|es|Reset P0044" },
		{ 3, "Load Default|de|Lade Werksein.|es|Carga Estndar" },
		{ 4, "Load User 1|de|Lade Benutz. 1|es|CargaUsuario 1" },
		{ 5, "Load User 2|de|Lade Benutz. 2|es|CargaUsuario 2" },
		{ 6, "Load User 3|de|Lade Benutz. 3|es|CargaUsuario 3" },
		{ 7, "Save User 1|de|Speic. Benutz1|es|SalvaUsuario 1" },
		{ 8, "Save User 2|de|Speic. Benutz2|es|SalvaUsuario 2" },
		{ 9, "Save User 3|de|Speic. Benutz3|es|SalvaUsuario 3" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0204
{
	SLOT 0;
	INDEX 203;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0204 }
	}
}

WRITE_P0204 LIKE READ_P0204
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0204 }
		REPLY { }
	}
}

VARIABLE P0205
{
	LABEL "P0205 Read Parameter Sel. 1|de|P0205 Anzeigeauswahl 1|es|P0205 Sel. Parm. Lectura 1";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Speed Refer. #|de|Drehz.Sollw. #|es|Ref. Veloc.  #" },
		{ 2, "Motor Speed  #|de|Motordrehz.  #|es|Veloc. Motor #" },
		{ 3, "Arm. Current #|de|Ankerstrom   #|es|Corr. Induc  #" },
		{ 4, "Line Voltage #|de|Netzspannung #|es|Tensin Lnea#" },
		{ 5, "Line Freq.   #|de|Netzfrequenz #|es|Frec. Lnea  #" },
		{ 6, "Arm. Voltage #|de|Ankerspannung#|es|Tens. Induc  #" },
		{ 7, "Field Curr.  #|de|Feldstrom    #|es|Corr. Campo  #" },
		{ 8, "Total Refer. #|de|Gesamtsollw. #|es|Refer. Total #" },
		{ 9, "Output Power #|de|Ausgangsleist#|es|Potencia Sal.#" },
		{ 10, "Arm.Fir.Angle#|de|Ankerzndwin.#|es|ng.Contr.Ind#" },
		{ 11, "Heatsink Temp#|de|Temper Khlk.#|es|Temper.Disip.#" },
		{ 12, "Speed Refer. -|de|Drehz.Sollw. -|es|Ref. Veloc.  -" },
		{ 13, "Motor Speed  -|de|Motordrehz.  -|es|Veloc. Motor -" },
		{ 14, "Arm. Current -|de|Ankerstrom   -|es|Corr. Induc  -" },
		{ 15, "Arm. Voltage -|de|Ankerspannung-|es|Tens. Induc  -" },
		{ 16, "Total Refer. -|de|Gesamtsollw. -|es|Refer. Total -" },
		{ 17, "SoftPLC P1010#|de|SoftPLC P1010#|es|SoftPLC P1010#" },
		{ 18, "SoftPLC P1011#|de|SoftPLC P1011#|es|SoftPLC P1011#" },
		{ 19, "SoftPLC P1012#|de|SoftPLC P1012#|es|SoftPLC P1012#" },
		{ 20, "SoftPLC P1013#|de|SoftPLC P1013#|es|SoftPLC P1013#" },
		{ 21, "SoftPLC P1014#|de|SoftPLC P1014#|es|SoftPLC P1014#" },
		{ 22, "SoftPLC P1015#|de|SoftPLC P1015#|es|SoftPLC P1015#" },
		{ 23, "SoftPLC P1016#|de|SoftPLC P1016#|es|SoftPLC P1016#" },
		{ 24, "SoftPLC P1017#|de|SoftPLC P1017#|es|SoftPLC P1017#" },
		{ 25, "SoftPLC P1018#|de|SoftPLC P1018#|es|SoftPLC P1018#" },
		{ 26, "SoftPLC P1019#|de|SoftPLC P1019#|es|SoftPLC P1019#" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0205
{
	SLOT 0;
	INDEX 204;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0205 }
	}
}

WRITE_P0205 LIKE READ_P0205
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0205 }
		REPLY { }
	}
}

VARIABLE P0206
{
	LABEL "P0206 Read Parameter Sel. 2|de|P0206 Anzeigeauswahl 2|es|P0206 Sel. Parm. Lectura 2";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Speed Refer. #|de|Drehz.Sollw. #|es|Ref. Veloc.  #" },
		{ 2, "Motor Speed  #|de|Motordrehz.  #|es|Veloc. Motor #" },
		{ 3, "Arm. Current #|de|Ankerstrom   #|es|Corr. Induc  #" },
		{ 4, "Line Voltage #|de|Netzspannung #|es|Tensin Lnea#" },
		{ 5, "Line Freq.   #|de|Netzfrequenz #|es|Frec. Lnea  #" },
		{ 6, "Arm. Voltage #|de|Ankerspannung#|es|Tens. Induc  #" },
		{ 7, "Field Curr.  #|de|Feldstrom    #|es|Corr. Campo  #" },
		{ 8, "Total Refer. #|de|Gesamtsollw. #|es|Refer. Total #" },
		{ 9, "Output Power #|de|Ausgangsleist#|es|Potencia Sal.#" },
		{ 10, "Arm.Fir.Angle#|de|Ankerzndwin.#|es|ng.Contr.Ind#" },
		{ 11, "Heatsink Temp#|de|Temper Khlk.#|es|Temper.Disip.#" },
		{ 12, "Speed Refer. -|de|Drehz.Sollw. -|es|Ref. Veloc.  -" },
		{ 13, "Motor Speed  -|de|Motordrehz.  -|es|Veloc. Motor -" },
		{ 14, "Arm. Current -|de|Ankerstrom   -|es|Corr. Induc  -" },
		{ 15, "Arm. Voltage -|de|Ankerspannung-|es|Tens. Induc  -" },
		{ 16, "Total Refer. -|de|Gesamtsollw. -|es|Refer. Total -" },
		{ 17, "SoftPLC P1010#|de|SoftPLC P1010#|es|SoftPLC P1010#" },
		{ 18, "SoftPLC P1011#|de|SoftPLC P1011#|es|SoftPLC P1011#" },
		{ 19, "SoftPLC P1012#|de|SoftPLC P1012#|es|SoftPLC P1012#" },
		{ 20, "SoftPLC P1013#|de|SoftPLC P1013#|es|SoftPLC P1013#" },
		{ 21, "SoftPLC P1014#|de|SoftPLC P1014#|es|SoftPLC P1014#" },
		{ 22, "SoftPLC P1015#|de|SoftPLC P1015#|es|SoftPLC P1015#" },
		{ 23, "SoftPLC P1016#|de|SoftPLC P1016#|es|SoftPLC P1016#" },
		{ 24, "SoftPLC P1017#|de|SoftPLC P1017#|es|SoftPLC P1017#" },
		{ 25, "SoftPLC P1018#|de|SoftPLC P1018#|es|SoftPLC P1018#" },
		{ 26, "SoftPLC P1019#|de|SoftPLC P1019#|es|SoftPLC P1019#" }
		DEFAULT_VALUE 6;
	}
}

COMMAND READ_P0206
{
	SLOT 0;
	INDEX 205;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0206 }
	}
}

WRITE_P0206 LIKE READ_P0206
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0206 }
		REPLY { }
	}
}

VARIABLE P0207
{
	LABEL "P0207 Read Parameter Sel. 3|de|P0207 Anzeigeauswahl 3|es|P0207 Sel. Parm. Lectura 3";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Speed Refer. #|de|Drehz.Sollw. #|es|Ref. Veloc.  #" },
		{ 2, "Motor Speed  #|de|Motordrehz.  #|es|Veloc. Motor #" },
		{ 3, "Arm. Current #|de|Ankerstrom   #|es|Corr. Induc  #" },
		{ 4, "Line Voltage #|de|Netzspannung #|es|Tensin Lnea#" },
		{ 5, "Line Freq.   #|de|Netzfrequenz #|es|Frec. Lnea  #" },
		{ 6, "Arm. Voltage #|de|Ankerspannung#|es|Tens. Induc  #" },
		{ 7, "Field Curr.  #|de|Feldstrom    #|es|Corr. Campo  #" },
		{ 8, "Total Refer. #|de|Gesamtsollw. #|es|Refer. Total #" },
		{ 9, "Output Power #|de|Ausgangsleist#|es|Potencia Sal.#" },
		{ 10, "Arm.Fir.Angle#|de|Ankerzndwin.#|es|ng.Contr.Ind#" },
		{ 11, "Heatsink Temp#|de|Temper Khlk.#|es|Temper.Disip.#" },
		{ 12, "Speed Refer. -|de|Drehz.Sollw. -|es|Ref. Veloc.  -" },
		{ 13, "Motor Speed  -|de|Motordrehz.  -|es|Veloc. Motor -" },
		{ 14, "Arm. Current -|de|Ankerstrom   -|es|Corr. Induc  -" },
		{ 15, "Arm. Voltage -|de|Ankerspannung-|es|Tens. Induc  -" },
		{ 16, "Total Refer. -|de|Gesamtsollw. -|es|Refer. Total -" },
		{ 17, "SoftPLC P1010#|de|SoftPLC P1010#|es|SoftPLC P1010#" },
		{ 18, "SoftPLC P1011#|de|SoftPLC P1011#|es|SoftPLC P1011#" },
		{ 19, "SoftPLC P1012#|de|SoftPLC P1012#|es|SoftPLC P1012#" },
		{ 20, "SoftPLC P1013#|de|SoftPLC P1013#|es|SoftPLC P1013#" },
		{ 21, "SoftPLC P1014#|de|SoftPLC P1014#|es|SoftPLC P1014#" },
		{ 22, "SoftPLC P1015#|de|SoftPLC P1015#|es|SoftPLC P1015#" },
		{ 23, "SoftPLC P1016#|de|SoftPLC P1016#|es|SoftPLC P1016#" },
		{ 24, "SoftPLC P1017#|de|SoftPLC P1017#|es|SoftPLC P1017#" },
		{ 25, "SoftPLC P1018#|de|SoftPLC P1018#|es|SoftPLC P1018#" },
		{ 26, "SoftPLC P1019#|de|SoftPLC P1019#|es|SoftPLC P1019#" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0207
{
	SLOT 0;
	INDEX 206;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0207 }
	}
}

WRITE_P0207 LIKE READ_P0207
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0207 }
		REPLY { }
	}
}

VARIABLE P0208
{
	LABEL "P0208 Ref. Scale Factor|de|P0208 Sollwert Skalafaktor|es|P0208 Factor Escala Ref. ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0208
{
	SLOT 0;
	INDEX 207;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0208 }
	}
}

WRITE_P0208 LIKE READ_P0208
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0208 }
		REPLY { }
	}
}

VARIABLE P0209
{
	LABEL "P0209 Ref. Eng. Unit 1|de|P0209 1. Einheit Sollwert|es|P0209 Unidad Ing. Ref. 1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 114;
		MIN_VALUE 32;
		MAX_VALUE 127;
	}
}

COMMAND READ_P0209
{
	SLOT 0;
	INDEX 208;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0209 }
	}
}

WRITE_P0209 LIKE READ_P0209
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0209 }
		REPLY { }
	}
}

VARIABLE P0210
{
	LABEL "P0210 Ref. Eng. Unit 2|de|P0210 2. Einheit Sollwert|es|P0210 Unidad Ing. Ref. 2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 112;
		MIN_VALUE 32;
		MAX_VALUE 127;
	}
}

COMMAND READ_P0210
{
	SLOT 0;
	INDEX 209;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0210 }
	}
}

WRITE_P0210 LIKE READ_P0210
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0210 }
		REPLY { }
	}
}

VARIABLE P0211
{
	LABEL "P0211 Ref. Eng. Unit 3|de|P0211 3. Einheit Sollwert|es|P0211 Unidad Ing. Ref. 3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 109;
		MIN_VALUE 32;
		MAX_VALUE 127;
	}
}

COMMAND READ_P0211
{
	SLOT 0;
	INDEX 210;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0211 }
	}
}

WRITE_P0211 LIKE READ_P0211
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0211 }
		REPLY { }
	}
}

VARIABLE P0212
{
	LABEL "P0212 Ref. Decimal Point |de|P0212 Sollw. Dezimalpkt.|es|P0212 Punto Decimal Ref. ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "wxyz|de|wxyz|es|wxyz" },
		{ 1, "wxy.z|de|wxy.z|es|wxy.z" },
		{ 2, "wx.yz|de|wx.yz|es|wx.yz" },
		{ 3, "w.xyz|de|w.xyz|es|w.xyz" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0212
{
	SLOT 0;
	INDEX 211;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0212 }
	}
}

WRITE_P0212 LIKE READ_P0212
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0212 }
		REPLY { }
	}
}

VARIABLE P0213
{
	LABEL "P0213 Full Scale Read 1|de|P0213 Anzeigebereich 1|es|P0213 Fondo Escala Lectura1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0213
{
	SLOT 0;
	INDEX 212;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0213 }
	}
}

WRITE_P0213 LIKE READ_P0213
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0213 }
		REPLY { }
	}
}

VARIABLE P0214
{
	LABEL "P0214 Full Scale Read 2|de|P0214 Anzeigebereich 2|es|P0214 Fondo Escala Lectura2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0214
{
	SLOT 0;
	INDEX 213;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0214 }
	}
}

WRITE_P0214 LIKE READ_P0214
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0214 }
		REPLY { }
	}
}

VARIABLE P0215
{
	LABEL "P0215 Full Scale Read 3|de|P0215 Anzeigebereich 3|es|P0215 Fondo Escala Lectura3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0215
{
	SLOT 0;
	INDEX 214;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0215 }
	}
}

WRITE_P0215 LIKE READ_P0215
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0215 }
		REPLY { }
	}
}

VARIABLE P0216
{
	LABEL "P0216 HMI Display Contrast|de|P0216 LCD Kontrast|es|P0216 Contraste Display HMI";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 27;
		MIN_VALUE 0;
		MAX_VALUE 37;
	}
}

COMMAND READ_P0216
{
	SLOT 0;
	INDEX 215;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0216 }
	}
}

WRITE_P0216 LIKE READ_P0216
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0216 }
		REPLY { }
	}
}

VARIABLE P0217
{
	LABEL "P0217 Zero Speed Disable|de|P0217 Stillstandsblockade|es|P0217 Bloqueo por Vel. Nula";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactivo  " },
		{ 1, "On        |de|Ein|es|Activo    " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0217
{
	SLOT 0;
	INDEX 216;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0217 }
	}
}

WRITE_P0217 LIKE READ_P0217
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0217 }
		REPLY { }
	}
}

VARIABLE P0218
{
	LABEL "P0218 Zero Speed Dis. Out|de|P0218 StillstBlock. Grenz.|es|P0218 Salida Bloq. Vel.Nula";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ref. or Speed|de|Sollw o. Drehz|es|Ref. o Vel." },
		{ 1, "Reference |de|Sollwert|es|Referencia" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0218
{
	SLOT 0;
	INDEX 217;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0218 }
	}
}

WRITE_P0218 LIKE READ_P0218
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0218 }
		REPLY { }
	}
}

VARIABLE P0219
{
	LABEL "P0219 Zero Speed Time|de|P0219 Stillstandblock. Zeit|es|P0219 Tiempo con Vel. Nula";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0219
{
	SLOT 0;
	INDEX 218;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0219 }
	}
}

WRITE_P0219 LIKE READ_P0219
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0219 }
		REPLY { }
	}
}

VARIABLE P0220
{
	LABEL "P0220 LOC/REM Selection Src|de|P0220 LOC/REM Auswahl|es|P0220 Seleccin LOC/REM   ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Always LOC|de|Immer LOC|es|Siempre LOC" },
		{ 1, "Always REM|de|Immer REM|es|Siempre REM" },
		{ 2, "LR Key LOC|de|Taste LOC|es|Tecla LR (LOC)" },
		{ 3, "LR Key REM|de|Taste REM|es|Tecla LR (REM)" },
		{ 4, "DIx|de|DIx|es|DIx" },
		{ 5, "Serial/USB LOC|de|Seriel/USB LOC|es|Serie/USB LOC " },
		{ 6, "Serial/USB REM|de|Seriel/USB REM|es|Serie/USB REM " },
		{ 7, "Anybus-CC LOC|de|Anybus-CC LOC|es|Anybus-CC LOC" },
		{ 8, "Anybus-CC REM|de|Anybus-CC REM|es|Anybus-CC REM" },
		{ 9, "SoftPLC LOC|de|SoftPLC LOC|es|SoftPLC LOC" },
		{ 10, "SoftPLC REM|de|SoftPLC REM|es|SoftPLC REM" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0220
{
	SLOT 0;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0220 }
	}
}

WRITE_P0220 LIKE READ_P0220
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0220 }
		REPLY { }
	}
}

VARIABLE P0221
{
	LABEL "P0221 LOC Reference Sel. |de|P0221 LOC Sollw. Auswahl|es|P0221 Selec. Referencia LOC";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Keypad    |de|Fernbedienung|es|HMI" },
		{ 1, "AI1       |de|AI1|es|AI1       " },
		{ 2, "AI2       |de|AI2|es|AI2       " },
		{ 3, "AI3       |de|AI3|es|AI3       " },
		{ 4, "AI4       |de|AI4|es|AI4       " },
		{ 5, "Sum AIs > 0  |de|Summe AIs > 0|es|Suma AIs > 0 " },
		{ 6, "Sum AIs |de|Summe AI|es|Suma AIs   " },
		{ 7, "E.P.      |de|Elekt. Pot.|es|P.E.      " },
		{ 8, "Multispeed|de|Multispeed|es|Multispeed" },
		{ 9, "Serial/USB    |de|Seriell / USB|es|Serie/USB" },
		{ 10, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 11, "SoftPLC|de|SoftPLC|es|SoftPLC" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0221
{
	SLOT 0;
	INDEX 220;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0221 }
	}
}

WRITE_P0221 LIKE READ_P0221
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0221 }
		REPLY { }
	}
}

VARIABLE P0222
{
	LABEL "P0222 REM Reference Sel. |de|P0222 REM Sollw. Auswahl|es|P0222 Selec. Referencia REM";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Keypad    |de|Fernbedienung|es|HMI" },
		{ 1, "AI1       |de|AI1|es|AI1       " },
		{ 2, "AI2       |de|AI2|es|AI2       " },
		{ 3, "AI3       |de|AI3|es|AI3       " },
		{ 4, "AI4       |de|AI4|es|AI4       " },
		{ 5, "Sum AIs > 0  |de|Summe AIs > 0|es|Suma AIs > 0 " },
		{ 6, "Sum AIs |de|Summe AI|es|Suma AIs   " },
		{ 7, "E.P.      |de|Elekt. Pot.|es|P.E.      " },
		{ 8, "Multispeed|de|Multispeed|es|Multispeed" },
		{ 9, "Serial/USB    |de|Seriell / USB|es|Serie/USB" },
		{ 10, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 11, "SoftPLC|de|SoftPLC|es|SoftPLC" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0222
{
	SLOT 0;
	INDEX 221;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0222 }
	}
}

WRITE_P0222 LIKE READ_P0222
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0222 }
		REPLY { }
	}
}

VARIABLE P0223
{
	LABEL "P0223 LOC FWD/REV Selection|de|P0223 LOC Drehrichtungswahl|es|P0223 Sel. Direc. Giro LOC";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Always FWD|de|Rechtslauf|es|Directo" },
		{ 1, "Always REV|de|Linkslauf|es|Inverso" },
		{ 2, "FR Key FWD|de|Fernbed. (R)|es|Tecla DG (D)  " },
		{ 3, "FR Key REV|de|Fernbed. (L)|es|Tecla DG (I) " },
		{ 4, "DIx       |de|DIx       |es|DIx       " },
		{ 5, "Serial/USB FWD|de|Seriell/USB(R)|es|Serie/USB (D) " },
		{ 6, "Serial/USB REV|de|Seriell/USB(L)|es|Serie/USB (I)" },
		{ 7, "Anybus-CC FWD|de|Anybus-CC (R)|es|Anybus-CC (D)" },
		{ 8, "Anybus-CC REV|de|Anybus-CC (L)|es|Anybus-CC (I)" },
		{ 9, "AI4 Polarity|de|AI4 Polaritt|es|Polaridad AI4" },
		{ 10, "SoftPLC FWD|de|SoftPLC (R)|es|SoftPLC (D)" },
		{ 11, "SoftPLC REV|de|SoftPLC (L)|es|SoftPLC (I)" },
		{ 12, "AI2 Polarity|de|AI2 Polaritt|es|Polaridad AI2" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0223
{
	SLOT 0;
	INDEX 222;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0223 }
	}
}

WRITE_P0223 LIKE READ_P0223
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0223 }
		REPLY { }
	}
}

VARIABLE P0224
{
	LABEL "P0224 LOC Run/Stop Sel.|de|P0224 LOC Start/Stop Ausw.|es|P0224 Selec. Gira/Para LOC";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "I,O Keys  |de|Fernbed. I,O|es|Teclas I,O" },
		{ 1, "DIx       |de|DIx|es|DIx       " },
		{ 2, "Serial/USB    |de|Seriell / USB|es|Serie/USB    " },
		{ 3, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 4, "SoftPLC|de|SoftPLC|es|SoftPLC" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0224
{
	SLOT 0;
	INDEX 223;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0224 }
	}
}

WRITE_P0224 LIKE READ_P0224
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0224 }
		REPLY { }
	}
}

VARIABLE P0225
{
	LABEL "P0225 LOC JOG Selection|de|P0225 LOC JOG Auswahl|es|P0225 Seleccin JOG LOC";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disable   |de|Aus|es|Inactivo  " },
		{ 1, "JOG Key|de|Fernbedienung|es|Tecla JOG" },
		{ 2, "DIx       |de|DIx       |es|DIx       " },
		{ 3, "Serial/USB    |de|Seriell|es|Serie/USB" },
		{ 4, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 5, "SoftPLC|de|SoftPLC|es|SoftPLC" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0225
{
	SLOT 0;
	INDEX 224;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0225 }
	}
}

WRITE_P0225 LIKE READ_P0225
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0225 }
		REPLY { }
	}
}

VARIABLE P0226
{
	LABEL "P0226 REM FWD/REV Sel.|de|P0226 REM Drehrichtungswahl|es|P0226 Sel. Direc. Giro REM";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Always FWD|de|Rechtslauf|es|Directo" },
		{ 1, "Always REV|de|Linkslauf|es|Inverso" },
		{ 2, "FR Key FWD|de|Fernbed. (R)|es|Tecla DG (D)  " },
		{ 3, "FR Key REV|de|Fernbed. (L)|es|Tecla DG (I) " },
		{ 4, "DIx       |de|DIx       |es|DIx       " },
		{ 5, "Serial/USB FWD|de|Seriell/USB(R)|es|Serie/USB (D) " },
		{ 6, "Serial/USB REV|de|Seriell/USB(L)|es|Serie/USB (I)" },
		{ 7, "Anybus-CC FWD|de|Anybus-CC (R)|es|Anybus-CC (D)" },
		{ 8, "Anybus-CC REV|de|Anybus-CC (L)|es|Anybus-CC (I)" },
		{ 9, "AI4 Polarity|de|AI4 Polaritt|es|Polaridad AI4" },
		{ 10, "SoftPLC FWD|de|SoftPLC (R)|es|SoftPLC (D)" },
		{ 11, "SoftPLC REV|de|SoftPLC (L)|es|SoftPLC (I)" },
		{ 12, "AI2 Polarity|de|AI2 Polaritt|es|Polaridad AI2" }
		DEFAULT_VALUE 4;
	}
}

COMMAND READ_P0226
{
	SLOT 0;
	INDEX 225;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0226 }
	}
}

WRITE_P0226 LIKE READ_P0226
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0226 }
		REPLY { }
	}
}

VARIABLE P0227
{
	LABEL "P0227 REM Run/Stop Sel.|de|P0227 REM Start/Stop Ausw.|es|P0227 Selec. Gira/Para REM";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "I,O Keys  |de|Fernbed. I,O|es|Teclas I,O" },
		{ 1, "DIx       |de|DIx|es|DIx       " },
		{ 2, "Serial/USB    |de|Seriell / USB|es|Serie/USB    " },
		{ 3, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 4, "SoftPLC|de|SoftPLC|es|SoftPLC" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0227
{
	SLOT 0;
	INDEX 226;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0227 }
	}
}

WRITE_P0227 LIKE READ_P0227
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0227 }
		REPLY { }
	}
}

VARIABLE P0228
{
	LABEL "P0228 REM JOG Selection |de|P0228 REM JOG Auswahl|es|P0228 Seleccin JOG REM";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disable   |de|Aus|es|Inactivo  " },
		{ 1, "JOG Key|de|Fernbedienung|es|Tecla JOG" },
		{ 2, "DIx       |de|DIx       |es|DIx       " },
		{ 3, "Serial/USB    |de|Seriell / USB|es|Serie/USB    " },
		{ 4, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 5, "SoftPLC|de|SoftPLC|es|SoftPLC" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0228
{
	SLOT 0;
	INDEX 227;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0228 }
	}
}

WRITE_P0228 LIKE READ_P0228
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0228 }
		REPLY { }
	}
}

VARIABLE P0229
{
	LABEL "P0229 Stop Mode Selection|de|P0229 Auswahl Stopmodus|es|P0229 Seleccin de Parada";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ramp to Stop|de|Start/Stop|es|Por Rampa" },
		{ 1, "Coast to Stop|de|Gen. Abschalt.|es|Por Inercia" },
		{ 2, "Fast Stop |de|Schnellstop|es|Parada Rpida" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0229
{
	SLOT 0;
	INDEX 228;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0229 }
	}
}

WRITE_P0229 LIKE READ_P0229
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0229 }
		REPLY { }
	}
}

VARIABLE P0231
{
	LABEL "P0231 AI1 Signal Function|de|P0231 AI1 Signalfunktion|es|P0231 Funcin Seal AI1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Veloc." },
		{ 1, "No Ramp Ref.|de|N* ohne Rampe|es|N* sin Rampa" },
		{ 2, "I* aux|de|Zusatz I*|es|I* aux" },
		{ 3, "Pos. Curr. Lim|de|pos. Strombeg.|es|Lim. Corr. I+" },
		{ 4, "Neg. Curr. Lim|de|neg. Strombeg.|es|Lim. Corr. I-" },
		{ 5, "I+/I- Curr.Lim|de|pos/neg Stromb|es|Lim.Corr.I+/I-" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0231
{
	SLOT 0;
	INDEX 230;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0231 }
	}
}

WRITE_P0231 LIKE READ_P0231
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0231 }
		REPLY { }
	}
}

VARIABLE P0232
{
	LABEL "P0232 AI1 Gain|de|P0232 AI1 Verstrkung|es|P0232 Ganancia Entrada AI1 ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0232
{
	SLOT 0;
	INDEX 231;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0232 }
	}
}

WRITE_P0232 LIKE READ_P0232
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0232 }
		REPLY { }
	}
}

VARIABLE P0233
{
	LABEL "P0233 AI1 Signal Type |de|P0233 AI1 Signaltyp|es|P0233 Seal Entrada AI1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA|es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA|es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0233
{
	SLOT 0;
	INDEX 232;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0233 }
	}
}

WRITE_P0233 LIKE READ_P0233
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0233 }
		REPLY { }
	}
}

VARIABLE P0234
{
	LABEL "P0234 AI1 Offset      |de|P0234 AI1 Offset|es|P0234 Offset Entrada AI1 ";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0234
{
	SLOT 0;
	INDEX 233;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0234 }
	}
}

WRITE_P0234 LIKE READ_P0234
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0234 }
		REPLY { }
	}
}

VARIABLE P0235
{
	LABEL "P0235 AI1 Filter|de|P0235 AI1 Filter|es|P0235 Filtro Entrada AI1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0235
{
	SLOT 0;
	INDEX 234;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0235 }
	}
}

WRITE_P0235 LIKE READ_P0235
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0235 }
		REPLY { }
	}
}

VARIABLE P0236
{
	LABEL "P0236 AI2 Signal Function|de|P0236 AI2 Signalfunktion|es|P0236 Funcin Seal AI2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Veloc." },
		{ 1, "No Ramp Ref.|de|N* ohne Rampe|es|N* sin Rampa" },
		{ 2, "I* aux|de|Zusatz I*|es|I* aux" },
		{ 3, "Pos. Curr. Lim|de|pos. Strombeg.|es|Lim. Corr. I+" },
		{ 4, "Neg. Curr. Lim|de|neg. Strombeg.|es|Lim. Corr. I-" },
		{ 5, "I+/I- Curr.Lim|de|pos/neg Stromb|es|Lim.Corr.I+/I-" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0236
{
	SLOT 0;
	INDEX 235;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0236 }
	}
}

WRITE_P0236 LIKE READ_P0236
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0236 }
		REPLY { }
	}
}

VARIABLE P0237
{
	LABEL "P0237 AI2 Gain        |de|P0237 AI2 Verstrkung|es|P0237 Ganancia Entrada AI2 ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0237
{
	SLOT 0;
	INDEX 236;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0237 }
	}
}

WRITE_P0237 LIKE READ_P0237
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0237 }
		REPLY { }
	}
}

VARIABLE P0238
{
	LABEL "P0238 AI2 Signal Type |de|P0238 AI2 Signaltyp|es|P0238 Seal Entrada AI2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA|es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA|es|20 a 4 mA " },
		{ 4, "-10 to +10V|de|-10 bis +10V|es|-10 a +10V" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0238
{
	SLOT 0;
	INDEX 237;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0238 }
	}
}

WRITE_P0238 LIKE READ_P0238
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0238 }
		REPLY { }
	}
}

VARIABLE P0239
{
	LABEL "P0239 AI2 Offset      |de|P0239 AI2 Offset|es|P0239 Offset Entrada AI2 ";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0239
{
	SLOT 0;
	INDEX 238;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0239 }
	}
}

WRITE_P0239 LIKE READ_P0239
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0239 }
		REPLY { }
	}
}

VARIABLE P0240
{
	LABEL "P0240 AI2 Filter|de|P0240 AI2 Filter|es|P0240 Filtro Entrada AI2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0240
{
	SLOT 0;
	INDEX 239;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0240 }
	}
}

WRITE_P0240 LIKE READ_P0240
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0240 }
		REPLY { }
	}
}

VARIABLE P0241
{
	LABEL "P0241 AI3 Signal Function|de|P0241 AI3 Signalfunktion|es|P0241 Funcin Seal AI3";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Veloc." },
		{ 1, "No Ramp Ref.|de|N* ohne Rampe|es|N* sin Rampa" },
		{ 2, "I* aux|de|Zusatz I*|es|I* aux" },
		{ 3, "Pos. Curr. Lim|de|pos. Strombeg.|es|Lim. Corr. I+" },
		{ 4, "Neg. Curr. Lim|de|neg. Strombeg.|es|Lim. Corr. I-" },
		{ 5, "I+/I- Curr.Lim|de|pos/neg Stromb|es|Lim.Corr.I+/I-" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0241
{
	SLOT 0;
	INDEX 240;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0241 }
	}
}

WRITE_P0241 LIKE READ_P0241
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0241 }
		REPLY { }
	}
}

VARIABLE P0242
{
	LABEL "P0242 AI3 Gain        |de|P0242 AI3 Verstrkung|es|P0242 Ganancia Entrada AI3 ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0242
{
	SLOT 0;
	INDEX 241;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0242 }
	}
}

WRITE_P0242 LIKE READ_P0242
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0242 }
		REPLY { }
	}
}

VARIABLE P0243
{
	LABEL "P0243 AI3 Signal Type |de|P0243 AI3 Signaltyp|es|P0243 Seal Entrada AI3  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA|es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA|es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0243
{
	SLOT 0;
	INDEX 242;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0243 }
	}
}

WRITE_P0243 LIKE READ_P0243
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0243 }
		REPLY { }
	}
}

VARIABLE P0244
{
	LABEL "P0244 AI3 Offset      |de|P0244 AI3 Offset|es|P0244 Offset Entrada AI3 ";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0244
{
	SLOT 0;
	INDEX 243;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0244 }
	}
}

WRITE_P0244 LIKE READ_P0244
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0244 }
		REPLY { }
	}
}

VARIABLE P0245
{
	LABEL "P0245 AI3 Filter|de|P0245 AI3 Filter|es|P0245 Filtro Entrada AI3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0245
{
	SLOT 0;
	INDEX 244;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0245 }
	}
}

WRITE_P0245 LIKE READ_P0245
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0245 }
		REPLY { }
	}
}

VARIABLE P0246
{
	LABEL "P0246 AI4 Signal Function|de|P0246 AI4Signalfunkt.|es|P0246 Funcin Seal AI4";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Veloc." },
		{ 1, "No Ramp Ref.|de|N* ohne Rampe|es|N* sin Rampa" },
		{ 2, "I* aux|de|Zusatz I*|es|I* aux" },
		{ 3, "Pos. Curr. Lim|de|pos. Strombeg.|es|Lim. Corr. I+" },
		{ 4, "Neg. Curr. Lim|de|neg. Strombeg.|es|Lim. Corr. I-" },
		{ 5, "I+/I- Curr.Lim|de|pos/neg Stromb|es|Lim.Corr.I+/I-" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0246
{
	SLOT 0;
	INDEX 245;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0246 }
	}
}

WRITE_P0246 LIKE READ_P0246
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0246 }
		REPLY { }
	}
}

VARIABLE P0247
{
	LABEL "P0247 AI4 Gain        |de|P0247 AI4 Verstrkung|es|P0247 Ganancia Entrada AI4 ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0247
{
	SLOT 0;
	INDEX 246;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0247 }
	}
}

WRITE_P0247 LIKE READ_P0247
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0247 }
		REPLY { }
	}
}

VARIABLE P0248
{
	LABEL "P0248 AI4 Signal Type |de|P0248 AI4 Signaltyp|es|P0248 Seal Entrada AI4  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA|es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA|es|20 a 4 mA " },
		{ 4, "-10 to +10 V|de|-10 bis +10V|es|-10 a +10V" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0248
{
	SLOT 0;
	INDEX 247;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0248 }
	}
}

WRITE_P0248 LIKE READ_P0248
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0248 }
		REPLY { }
	}
}

VARIABLE P0249
{
	LABEL "P0249 AI4 Offset      |de|P0249 AI4 Offset|es|P0249 Offset Entrada AI4 ";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0249
{
	SLOT 0;
	INDEX 248;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0249 }
	}
}

WRITE_P0249 LIKE READ_P0249
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0249 }
		REPLY { }
	}
}

VARIABLE P0250
{
	LABEL "P0250 AI4 Filter|de|P0250 AI4 Filter|es|P0250 Filtro Entrada AI4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0250
{
	SLOT 0;
	INDEX 249;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0250 }
	}
}

WRITE_P0250 LIKE READ_P0250
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0250 }
		REPLY { }
	}
}

VARIABLE P0251
{
	LABEL "P0251 AO1 Function    |de|P0251 AO1 Funktion|es|P0251 Funcin Salida AO1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Velocidad" },
		{ 1, "Ref.After Ramp|de|Sollw.n.Hochl.|es|Ref.Desp.Rampa" },
		{ 2, "Total Ref.|de|Gesamtsollwert|es|Ref. Total" },
		{ 3, "Real Speed|de|Istdrehzahl|es|Velocidad Real" },
		{ 4, "Speed Error|de|Drehzahlfehler|es|Error Veloc." },
		{ 5, "Speed Reg.Out.|de|Drehz.Reg.Aus.|es|Salida Reg.Vel" },
		{ 6, "Current Ref.|de|Stromsollwert|es|Ref. Corriente" },
		{ 7, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 8, "Curr. Reg. Out|de|Stromreg. Aus.|es|Salida Reg.Cor" },
		{ 9, "Firing Angle|de|Zndwinkel|es|ngulo Mando" },
		{ 10, "Output Power |de|Ausgangsleist.|es|Pot. Salida" },
		{ 11, "Motor Torque|de|Motormoment|es|Torque Motor " },
		{ 12, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 15, "Encoder Speed|de|Drehgeb.Geschw|es|Veloc. Encoder" },
		{ 16, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 17, "EMF|de|EMK|es|FCEM" },
		{ 18, "P0696 Value|de|P0696 Wert|es|ContenidoP0696" },
		{ 19, "P0697 Value|de|P0697 Wert|es|ContenidoP0697" },
		{ 20, "P0698 Value|de|P0698 Wert|es|ContenidoP0698" },
		{ 21, "P0699 Value|de|P0699 Wert|es|ContenidoP0699" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0251
{
	SLOT 0;
	INDEX 250;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0251 }
	}
}

WRITE_P0251 LIKE READ_P0251
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0251 }
		REPLY { }
	}
}

VARIABLE P0252
{
	LABEL "P0252 AO1 Gain        |de|P0252 AO1 Verstrkung|es|P0252 Ganancia Salida AO1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0252
{
	SLOT 0;
	INDEX 251;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0252 }
	}
}

WRITE_P0252 LIKE READ_P0252
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0252 }
		REPLY { }
	}
}

VARIABLE P0253
{
	LABEL "P0253 AO1 Signal Type |de|P0253 AO1 Signaltyp|es|P0253 Seal Salida AO1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA |es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA |es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0253
{
	SLOT 0;
	INDEX 252;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0253 }
	}
}

WRITE_P0253 LIKE READ_P0253
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0253 }
		REPLY { }
	}
}

VARIABLE P0254
{
	LABEL "P0254 AO2 Function    |de|P0254 AO2 Funktion|es|P0254 Funcin Salida AO2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Velocidad" },
		{ 1, "Ref.After Ramp|de|Sollw.n.Hochl.|es|Ref.Desp.Rampa" },
		{ 2, "Total Ref.|de|Gesamtsollwert|es|Ref. Total" },
		{ 3, "Real Speed|de|Istdrehzahl|es|Velocidad Real" },
		{ 4, "Speed Error|de|Drehzahlfehler|es|Error Veloc." },
		{ 5, "Speed Reg.Out.|de|Drehz.Reg.Aus.|es|Salida Reg.Vel" },
		{ 6, "Current Ref.|de|Stromsollwert|es|Ref. Corriente" },
		{ 7, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 8, "Curr. Reg. Out|de|Stromreg. Aus.|es|Salida Reg.Cor" },
		{ 9, "Firing Angle|de|Zndwinkel|es|ngulo Mando" },
		{ 10, "Output Power |de|Ausgangsleist.|es|Pot. Salida" },
		{ 11, "Motor Torque|de|Motormoment|es|Torque Motor " },
		{ 12, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 15, "Encoder Speed|de|Drehgeb.Geschw|es|Veloc. Encoder" },
		{ 16, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 17, "EMF|de|EMK|es|FCEM" },
		{ 18, "P0696 Value|de|P0696 Wert|es|ContenidoP0696" },
		{ 19, "P0697 Value|de|P0697 Wert|es|ContenidoP0697" },
		{ 20, "P0698 Value|de|P0698 Wert|es|ContenidoP0698" },
		{ 21, "P0699 Value|de|P0699 Wert|es|ContenidoP0699" }
		DEFAULT_VALUE 7;
	}
}

COMMAND READ_P0254
{
	SLOT 0;
	INDEX 253;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0254 }
	}
}

WRITE_P0254 LIKE READ_P0254
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0254 }
		REPLY { }
	}
}

VARIABLE P0255
{
	LABEL "P0255 AO2 Gain        |de|P0255 AO2 Verstrkung|es|P0255 Ganancia Salida AO2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0255
{
	SLOT 0;
	INDEX 254;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0255 }
	}
}

WRITE_P0255 LIKE READ_P0255
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0255 }
		REPLY { }
	}
}

VARIABLE P0256
{
	LABEL "P0256 AO2 Signal Type |de|P0256 AO2 Signaltyp|es|P0256 Seal Salida AO2";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA |es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA |es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0256
{
	SLOT 1;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0256 }
	}
}

WRITE_P0256 LIKE READ_P0256
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0256 }
		REPLY { }
	}
}

VARIABLE P0257
{
	LABEL "P0257 AO3 Function    |de|P0257 AO3 Funktion|es|P0257 Funcin Salida AO3 ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Velocidad" },
		{ 1, "Ref.After Ramp|de|Sollw.n.Hochl.|es|Ref.Desp.Rampa" },
		{ 2, "Total Ref.|de|Gesamtsollwert|es|Ref. Total" },
		{ 3, "Real Speed|de|Istdrehzahl|es|Velocidad Real" },
		{ 4, "Speed Error|de|Drehzahlfehler|es|Error Veloc." },
		{ 5, "Speed Reg.Out.|de|Drehz.Reg.Aus.|es|Salida Reg.Vel" },
		{ 6, "Current Ref.|de|Stromsollwert|es|Ref. Corriente" },
		{ 7, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 8, "Curr. Reg. Out|de|Stromreg. Aus.|es|Salida Reg.Cor" },
		{ 9, "Firing Angle|de|Zndwinkel|es|ngulo Mando" },
		{ 10, "Output Power |de|Ausgangsleist.|es|Pot. Salida" },
		{ 11, "Motor Torque|de|Motormoment|es|Torque Motor " },
		{ 12, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 15, "Encoder Speed|de|Drehgeb.Geschw|es|Veloc. Encoder" },
		{ 16, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 17, "EMF|de|EMK|es|FCEM" },
		{ 18, "P0696 Value|de|P0696 Wert|es|ContenidoP0696" },
		{ 19, "P0697 Value|de|P0697 Wert|es|ContenidoP0697" },
		{ 20, "P0698 Value|de|P0698 Wert|es|ContenidoP0698" },
		{ 21, "P0699 Value|de|P0699 Wert|es|ContenidoP0699" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0257
{
	SLOT 1;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0257 }
	}
}

WRITE_P0257 LIKE READ_P0257
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0257 }
		REPLY { }
	}
}

VARIABLE P0258
{
	LABEL "P0258 AO3 Gain        |de|P0258 AO3 Verstrkung|es|P0258 Ganancia Salida AO3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0258
{
	SLOT 1;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0258 }
	}
}

WRITE_P0258 LIKE READ_P0258
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0258 }
		REPLY { }
	}
}

VARIABLE P0259
{
	LABEL "P0259 AO3 Signal Type |de|P0259 AO3 Signaltyp|es|P0259 Seal Salida AO3  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 20 mA|de|0 bis 20 mA|es|0 a 20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20 mA |es|4 a 20 mA " },
		{ 2, "20 to 0 mA|de|20 bis 0 mA|es|20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4 mA |es|20 a 4 mA " },
		{ 4, "0 to 10 V|de|0 bis 10 V|es|0 a 10 V" },
		{ 5, "10 to 0 V|de|10 bis 0 V|es|10 a 0 V" },
		{ 6, "-10 to +10V|de|-10 bis +10V|es|-10 a +10V" }
		DEFAULT_VALUE 4;
	}
}

COMMAND READ_P0259
{
	SLOT 1;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0259 }
	}
}

WRITE_P0259 LIKE READ_P0259
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0259 }
		REPLY { }
	}
}

VARIABLE P0260
{
	LABEL "P0260 AO4 Function    |de|P0260 AO4 Funktion|es|P0260 Funcin Salida AO4 ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed Ref.|de|Drehzahlsollw.|es|Ref. Velocidad" },
		{ 1, "Ref.After Ramp|de|Sollw.n.Hochl.|es|Ref.Desp.Rampa" },
		{ 2, "Total Ref.|de|Gesamtsollwert|es|Ref. Total" },
		{ 3, "Real Speed|de|Istdrehzahl|es|Velocidad Real" },
		{ 4, "Speed Error|de|Drehzahlfehler|es|Error Veloc." },
		{ 5, "Speed Reg.Out.|de|Drehz.Reg.Aus.|es|Salida Reg.Vel" },
		{ 6, "Current Ref.|de|Stromsollwert|es|Ref. Corriente" },
		{ 7, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 8, "Curr. Reg. Out|de|Stromreg. Aus.|es|Salida Reg.Cor" },
		{ 9, "Firing Angle|de|Zndwinkel|es|ngulo Mando" },
		{ 10, "Output Power |de|Ausgangsleist.|es|Pot. Salida" },
		{ 11, "Motor Torque|de|Motormoment|es|Torque Motor " },
		{ 12, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 15, "Encoder Speed|de|Drehgeb.Geschw|es|Veloc. Encoder" },
		{ 16, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 17, "EMF|de|EMK|es|FCEM" },
		{ 18, "P0696 Value|de|P0696 Wert|es|ContenidoP0696" },
		{ 19, "P0697 Value|de|P0697 Wert|es|ContenidoP0697" },
		{ 20, "P0698 Value|de|P0698 Wert|es|ContenidoP0698" },
		{ 21, "P0699 Value|de|P0699 Wert|es|ContenidoP0699" }
		DEFAULT_VALUE 5;
	}
}

COMMAND READ_P0260
{
	SLOT 1;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0260 }
	}
}

WRITE_P0260 LIKE READ_P0260
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0260 }
		REPLY { }
	}
}

VARIABLE P0261
{
	LABEL "P0261 AO4 Gain        |de|P0261 AO4 Verstrkung|es|P0261 Ganancia Salida AO4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0261
{
	SLOT 1;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0261 }
	}
}

WRITE_P0261 LIKE READ_P0261
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0261 }
		REPLY { }
	}
}

VARIABLE P0262
{
	LABEL "P0262 AO4 Signal Type |de|P0262 AO4 Signaltyp|es|P0262 Seal Salida AO4  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 20 mA|de|0 bis 20 mA|es|0 a 20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20 mA |es|4 a 20 mA " },
		{ 2, "20 to 0 mA|de|20 bis 0 mA|es|20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4 mA |es|20 a 4 mA " },
		{ 4, "0 to 10 V|de|0 bis 10 V|es|0 a 10 V" },
		{ 5, "10 to 0 V|de|10 bis 0 V|es|10 a 0 V" },
		{ 6, "-10 to +10V|de|-10 bis +10V|es|-10 a +10V" }
		DEFAULT_VALUE 4;
	}
}

COMMAND READ_P0262
{
	SLOT 1;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0262 }
	}
}

WRITE_P0262 LIKE READ_P0262
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0262 }
		REPLY { }
	}
}

VARIABLE P0263
{
	LABEL "P0263 DI1 Function    |de|P0263 DI1 Funktion|es|P0263 Funcin Entrada DI1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0263
{
	SLOT 1;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0263 }
	}
}

WRITE_P0263 LIKE READ_P0263
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0263 }
		REPLY { }
	}
}

VARIABLE P0264
{
	LABEL "P0264 DI2 Function    |de|P0264 DI2 Funktion|es|P0264 Funcin Entrada DI2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0264
{
	SLOT 1;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0264 }
	}
}

WRITE_P0264 LIKE READ_P0264
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0264 }
		REPLY { }
	}
}

VARIABLE P0265
{
	LABEL "P0265 DI3 Function    |de|P0265 DI3 Funktion|es|P0265 Funcin Entrada DI3  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 8;
	}
}

COMMAND READ_P0265
{
	SLOT 1;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0265 }
	}
}

WRITE_P0265 LIKE READ_P0265
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0265 }
		REPLY { }
	}
}

VARIABLE P0266
{
	LABEL "P0266 DI4 Function    |de|P0266 DI4 Funktion|es|P0266 Funcin Entrada DI4  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Multispeed|de|Multispeed|es|Multispeed" },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0266
{
	SLOT 1;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0266 }
	}
}

WRITE_P0266 LIKE READ_P0266
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0266 }
		REPLY { }
	}
}

VARIABLE P0267
{
	LABEL "P0267 DI5 Function    |de|P0267 DI5 Funktion|es|P0267 Funcin Entrada DI5  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Multispeed|de|Multispeed|es|Multispeed" },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 14;
	}
}

COMMAND READ_P0267
{
	SLOT 1;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0267 }
	}
}

WRITE_P0267 LIKE READ_P0267
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0267 }
		REPLY { }
	}
}

VARIABLE P0268
{
	LABEL "P0268 DI6 Function    |de|P0268 DI6 Funktion|es|P0268 Funcin Entrada DI6 ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Multispeed|de|Multispeed|es|Multispeed" },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 10;
	}
}

COMMAND READ_P0268
{
	SLOT 1;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0268 }
	}
}

WRITE_P0268 LIKE READ_P0268
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0268 }
		REPLY { }
	}
}

VARIABLE P0269
{
	LABEL "P0269 DI7 Function    |de|P0269 DI7 Funktion|es|P0269 Funcin Entrada DI7  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Veloc./Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0269
{
	SLOT 1;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0269 }
	}
}

WRITE_P0269 LIKE READ_P0269
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0269 }
		REPLY { }
	}
}

VARIABLE P0270
{
	LABEL "P0270 DI8 Function    |de|P0270 DI8 Funktion|es|P0270 Funcin Entrada DI8  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Run/Stop  |de|Start / Stop|es|Gira/Para " },
		{ 2, "General Enable|de|Freigabe|es|Hab. General" },
		{ 3, "Fast Stop |de|Schnellstop|es|Parada Rpida" },
		{ 4, "FWD Run   |de|Rechtslauf|es|Avance    " },
		{ 5, "REV Run   |de|Linkslauf|es|Retroceso " },
		{ 6, "3-Wire Start|de|Start|es|Start     " },
		{ 7, "3-Wire Stop |de|Stop|es|Stop      " },
		{ 8, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 9, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 10, "JOG       |de|JOG|es|JOG       " },
		{ 11, "Increase EP|de|EP Beschleunig|es|Acelera PE" },
		{ 12, "Decrease EP|de|EP Bremsen |es|Desacelera PE" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Ramp 2    |de|2. Rampe|es|2a. Rampa  " },
		{ 15, "Speed/Torque|de|Drehz./Moment|es|Vel/Torque" },
		{ 16, "JOG+|de|JOG+|es|JOG+    " },
		{ 17, "JOG-|de|JOG-|es|JOG-    " },
		{ 18, "No Ext. Alarm|de|Ohne ext. Ala.|es|Sin Alarma Ext" },
		{ 19, "No Ext. Fault|de|Ohne ext. Feh.|es|Sin Falla Ext." },
		{ 20, "Reset|de|Reset|es|Reset     " },
		{ 21, "Speed Reg.Gain|de|Drehz. R. Ver.|es|Ganan.Reg.Vel." },
		{ 22, "Progr. Off|de|Programm Aus|es|Bloquea Prog." },
		{ 23, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 24, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 25, "Trace Function|de|Trace-Funktion|es|Funcin Trace" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0270
{
	SLOT 1;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0270 }
	}
}

WRITE_P0270 LIKE READ_P0270
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0270 }
		REPLY { }
	}
}

VARIABLE P0275
{
	LABEL "P0275 DO1 Function (RL1)|de|P0275 DO1 Funktion (RL1)|es|P0275 Funcin de DO1 (RL1)";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "N* > Nx   |de|N* > Nx|es|N* > Nx   " },
		{ 2, "N > Nx    |de|N > Nx|es|N > Nx    " },
		{ 3, "N < Ny    |de|N < Ny|es|N < Ny    " },
		{ 4, "N = N*    |de|N = N*|es|N = N*    " },
		{ 5, "Zero Speed|de|Stillstand|es|Veloc. Nula" },
		{ 6, "Ia > Ix   |de|Ia > Ix|es|Ia > Ix   " },
		{ 7, "Ia < Ix   |de|Ia < Ix|es|Ia < Ix   " },
		{ 8, "Torque > Tx |de|Moment > Mx|es|Torque > Tx " },
		{ 9, "Torque < Tx |de|Moment < Mx|es|Torque < Tx " },
		{ 10, "Remote    |de|REM|es|Remoto    " },
		{ 11, "Run       |de|Ein|es|Run       " },
		{ 12, "Ready     |de|Bereit|es|Ready     " },
		{ 13, "No Fault  |de|Ohne Fehler|es|Sin Falla " },
		{ 14, "With F003 |de|Mit F003|es|Con F003 " },
		{ 15, "With F072    |de|Mit F072|es|Con F072   " },
		{ 16, "With F077|de|Mit F077|es|Con F077" },
		{ 17, "4-20mA OK|de|4-20mA OK|es|4-20mA OK" },
		{ 18, "P0695 Value|de|P0695 Wert|es|ContenidoP0695" },
		{ 19, "Forward   |de|Rechtslauf|es|Sent. Directo" },
		{ 20, "Fault|de|Mit Fehler|es|Con Falla" },
		{ 21, "Time Enab > Hx|de|Betriebsstd>Hx|es|Horas Hab > Hx" },
		{ 22, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 23, "N>Nx/Nt>Nx|de|N>Nx / Nt>Nx|es|N>Nx/Nt>Nx" },
		{ 24, "No Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 25, "No Alarm/Fault|de|Ohne Alarm/Feh|es|SinAlarma/Fall" },
		{ 26, "A Bridge Act.|de|A Brcke aktiv|es|Puente A Cond." }
		DEFAULT_VALUE 13;
	}
}

COMMAND READ_P0275
{
	SLOT 1;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0275 }
	}
}

WRITE_P0275 LIKE READ_P0275
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0275 }
		REPLY { }
	}
}

VARIABLE P0276
{
	LABEL "P0276 DO2 Function (RL2)|de|P0276 DO2 Funktion (RL2)|es|P0276 Funcin de DO2 (RL2)";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "N* > Nx   |de|N* > Nx|es|N* > Nx   " },
		{ 2, "N > Nx    |de|N > Nx|es|N > Nx    " },
		{ 3, "N < Ny    |de|N < Ny|es|N < Ny    " },
		{ 4, "N = N*    |de|N = N*|es|N = N*    " },
		{ 5, "Zero Speed|de|Stillstand|es|Veloc. Nula" },
		{ 6, "Ia > Ix   |de|Ia > Ix|es|Ia > Ix   " },
		{ 7, "Ia < Ix   |de|Ia < Ix|es|Ia < Ix   " },
		{ 8, "Torque > Tx |de|Moment > Mx|es|Torque > Tx " },
		{ 9, "Torque < Tx |de|Moment < Mx|es|Torque < Tx " },
		{ 10, "Remote    |de|REM|es|Remoto    " },
		{ 11, "Run       |de|Ein|es|Run       " },
		{ 12, "Ready     |de|Bereit|es|Ready     " },
		{ 13, "No Fault  |de|Ohne Fehler|es|Sin Falla " },
		{ 14, "With F003 |de|Mit F003|es|Con F003 " },
		{ 15, "With F072    |de|Mit F072|es|Con F072   " },
		{ 16, "With F077|de|Mit F077|es|Con F077" },
		{ 17, "4-20mA OK|de|4-20mA OK|es|4-20mA OK" },
		{ 18, "P0695 Value|de|P0695 Wert|es|ContenidoP0695" },
		{ 19, "Forward   |de|Rechtslauf|es|Sent. Directo" },
		{ 20, "Fault|de|Mit Fehler|es|Con Falla" },
		{ 21, "Time Enab > Hx|de|Betriebsstd>Hx|es|Horas Hab > Hx" },
		{ 22, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 23, "N>Nx/Nt>Nx|de|N>Nx / Nt>Nx|es|N>Nx/Nt>Nx" },
		{ 24, "No Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 25, "No Alarm/Fault|de|Ohne Alarm/Feh|es|SinAlarma/Fall" },
		{ 26, "A Bridge Act.|de|A Brcke aktiv|es|Puente A Cond." }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0276
{
	SLOT 1;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0276 }
	}
}

WRITE_P0276 LIKE READ_P0276
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0276 }
		REPLY { }
	}
}

VARIABLE P0277
{
	LABEL "P0277 DO3 Function (RL3)|de|P0277 DO3 Funktion (RL3)|es|P0277 Funcin de DO3 (RL3)";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "N* > Nx   |de|N* > Nx|es|N* > Nx   " },
		{ 2, "N > Nx    |de|N > Nx|es|N > Nx    " },
		{ 3, "N < Ny    |de|N < Ny|es|N < Ny    " },
		{ 4, "N = N*    |de|N = N*|es|N = N*    " },
		{ 5, "Zero Speed|de|Stillstand|es|Veloc. Nula" },
		{ 6, "Ia > Ix   |de|Ia > Ix|es|Ia > Ix   " },
		{ 7, "Ia < Ix   |de|Ia < Ix|es|Ia < Ix   " },
		{ 8, "Torque > Tx |de|Moment > Mx|es|Torque > Tx " },
		{ 9, "Torque < Tx |de|Moment < Mx|es|Torque < Tx " },
		{ 10, "Remote    |de|REM|es|Remoto    " },
		{ 11, "Run       |de|Ein|es|Run       " },
		{ 12, "Ready     |de|Bereit|es|Ready     " },
		{ 13, "No Fault  |de|Ohne Fehler|es|Sin Falla " },
		{ 14, "With F003 |de|Mit F003|es|Con F003 " },
		{ 15, "With F072    |de|Mit F072|es|Con F072   " },
		{ 16, "With F077|de|Mit F077|es|Con F077" },
		{ 17, "4-20mA OK|de|4-20mA OK|es|4-20mA OK" },
		{ 18, "P0695 Value|de|P0695 Wert|es|ContenidoP0695" },
		{ 19, "Forward   |de|Rechtslauf|es|Sent. Directo" },
		{ 20, "Fault|de|Mit Fehler|es|Con Falla" },
		{ 21, "Time Enab > Hx|de|Betriebsstd>Hx|es|Horas Hab > Hx" },
		{ 22, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 23, "N>Nx/Nt>Nx|de|N>Nx / Nt>Nx|es|N>Nx/Nt>Nx" },
		{ 24, "No Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 25, "No Alarm/Fault|de|Ohne Alarm/Feh|es|SinAlarma/Fall" },
		{ 26, "A Bridge Act.|de|A Brcke aktiv|es|Puente A Cond." }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0277
{
	SLOT 1;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0277 }
	}
}

WRITE_P0277 LIKE READ_P0277
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0277 }
		REPLY { }
	}
}

VARIABLE P0278
{
	LABEL "P0278 DO4 Function    |de|P0278 DO4 Funktion|es|P0278 Funcin de DO4";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "N* > Nx   |de|N* > Nx|es|N* > Nx   " },
		{ 2, "N > Nx    |de|N > Nx|es|N > Nx    " },
		{ 3, "N < Ny    |de|N < Ny|es|N < Ny    " },
		{ 4, "N = N*    |de|N = N*|es|N = N*    " },
		{ 5, "Zero Speed|de|Stillstand|es|Veloc. Nula" },
		{ 6, "Ia > Ix   |de|Ia > Ix|es|Ia > Ix   " },
		{ 7, "Ia < Ix   |de|Ia < Ix|es|Ia < Ix   " },
		{ 8, "Torque > Tx |de|Moment > Mx|es|Torque > Tx " },
		{ 9, "Torque < Tx |de|Moment < Mx|es|Torque < Tx " },
		{ 10, "Remote    |de|REM|es|Remoto    " },
		{ 11, "Run       |de|Ein|es|Run       " },
		{ 12, "Ready     |de|Bereit|es|Ready     " },
		{ 13, "No Fault  |de|Ohne Fehler|es|Sin Falla " },
		{ 14, "With F003 |de|Mit F003|es|Con F003 " },
		{ 15, "With F072    |de|Mit F072|es|Con F072   " },
		{ 16, "With F077|de|Mit F077|es|Con F077" },
		{ 17, "4-20mA OK|de|4-20mA OK|es|4-20mA OK" },
		{ 18, "P0695 Value|de|P0695 Wert|es|ContenidoP0695" },
		{ 19, "Forward   |de|Rechtslauf|es|Sent. Directo" },
		{ 20, "Fault|de|Mit Fehler|es|Con Falla" },
		{ 21, "Time Enab > Hx|de|Betriebsstd>Hx|es|Horas Hab > Hx" },
		{ 22, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 23, "N>Nx/Nt>Nx|de|N>Nx / Nt>Nx|es|N>Nx/Nt>Nx" },
		{ 24, "No Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 25, "No Alarm/Fault|de|Ohne Alarm/Feh|es|SinAlarma/Fall" },
		{ 26, "A Bridge Act.|de|A Brcke aktiv|es|Puente A Cond." }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0278
{
	SLOT 1;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0278 }
	}
}

WRITE_P0278 LIKE READ_P0278
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0278 }
		REPLY { }
	}
}

VARIABLE P0279
{
	LABEL "P0279 DO5 Function    |de|P0279 DO5 Funktion|es|P0279 Funcin de DO5  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "N* > Nx   |de|N* > Nx|es|N* > Nx   " },
		{ 2, "N > Nx    |de|N > Nx|es|N > Nx    " },
		{ 3, "N < Ny    |de|N < Ny|es|N < Ny    " },
		{ 4, "N = N*    |de|N = N*|es|N = N*    " },
		{ 5, "Zero Speed|de|Stillstand|es|Veloc. Nula" },
		{ 6, "Ia > Ix   |de|Ia > Ix|es|Ia > Ix   " },
		{ 7, "Ia < Ix   |de|Ia < Ix|es|Ia < Ix   " },
		{ 8, "Torque > Tx |de|Moment > Mx|es|Torque > Tx " },
		{ 9, "Torque < Tx |de|Moment < Mx|es|Torque < Tx " },
		{ 10, "Remote    |de|REM|es|Remoto    " },
		{ 11, "Run       |de|Ein|es|Run       " },
		{ 12, "Ready     |de|Bereit|es|Ready     " },
		{ 13, "No Fault  |de|Ohne Fehler|es|Sin Falla " },
		{ 14, "With F003 |de|Mit F003|es|Con F003 " },
		{ 15, "With F072    |de|Mit F072|es|Con F072   " },
		{ 16, "With F077|de|Mit F077|es|Con F077" },
		{ 17, "4-20mA OK|de|4-20mA OK|es|4-20mA OK" },
		{ 18, "P0695 Value|de|P0695 Wert|es|ContenidoP0695" },
		{ 19, "Forward   |de|Rechtslauf|es|Sent. Directo" },
		{ 20, "Fault|de|Mit Fehler|es|Con Falla" },
		{ 21, "Time Enab > Hx|de|Betriebsstd>Hx|es|Horas Hab > Hx" },
		{ 22, "SoftPLC|de|SoftPLC|es|SoftPLC" },
		{ 23, "N>Nx/Nt>Nx|de|N>Nx / Nt>Nx|es|N>Nx/Nt>Nx" },
		{ 24, "No Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 25, "No Alarm/Fault|de|Ohne Alarm/Feh|es|SinAlarma/Fall" },
		{ 26, "A Bridge Act.|de|A Brcke aktiv|es|Puente A Cond." }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0279
{
	SLOT 1;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0279 }
	}
}

WRITE_P0279 LIKE READ_P0279
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0279 }
		REPLY { }
	}
}

VARIABLE P0287
{
	LABEL "P0287 Nx/Ny Hysteresis|de|P0287 Nx / Ny Hysterese|es|P0287 Histresis Nx/Ny";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 18;
		MIN_VALUE 0;
		MAX_VALUE 900;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0287
{
	SLOT 1;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0287 }
	}
}

WRITE_P0287 LIKE READ_P0287
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0287 }
		REPLY { }
	}
}

VARIABLE P0288
{
	LABEL "P0288 Nx Speed        |de|P0288 Drehzahl Nx|es|P0288 Velocidad Nx    ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 120;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0288
{
	SLOT 1;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0288 }
	}
}

WRITE_P0288 LIKE READ_P0288
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0288 }
		REPLY { }
	}
}

VARIABLE P0289
{
	LABEL "P0289 Ny Speed        |de|P0289 Drehzahl Ny|es|P0289 Velocidad Ny    ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1800;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0289
{
	SLOT 1;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0289 }
	}
}

WRITE_P0289 LIKE READ_P0289
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0289 }
		REPLY { }
	}
}

VARIABLE P0290
{
	LABEL "P0290 Ix Current      |de|P0290 Strom Ix|es|P0290 Corriente Ix    ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0290
{
	SLOT 1;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0290 }
	}
}

WRITE_P0290 LIKE READ_P0290
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0290 }
		REPLY { }
	}
}

VARIABLE P0291
{
	LABEL "P0291 Zero Speed Zone |de|P0291 Stillstand|es|P0291 Velocidad Nula  ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 18;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0291
{
	SLOT 1;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0291 }
	}
}

WRITE_P0291 LIKE READ_P0291
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0291 }
		REPLY { }
	}
}

VARIABLE P0292
{
	LABEL "P0292 N = N* Band       |de|P0292 N = N* Bereich|es|P0292 Rango para N = N* ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 18;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0292
{
	SLOT 1;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0292 }
	}
}

WRITE_P0292 LIKE READ_P0292
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0292 }
		REPLY { }
	}
}

VARIABLE P0293
{
	LABEL "P0293 Tx Torque       |de|P0293 Moment Tx|es|P0293 Torque Tx       ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 100;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0293
{
	SLOT 1;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0293 }
	}
}

WRITE_P0293 LIKE READ_P0293
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0293 }
		REPLY { }
	}
}

VARIABLE P0294
{
	LABEL "P0294 Hx Time|de|P0294 Hx Stunden|es|P0294 Horas Hx";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 4320;
		MIN_VALUE 0;
		MAX_VALUE 6553;
	}
	CONSTANT_UNIT "h";
}

COMMAND READ_P0294
{
	SLOT 1;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0294 }
	}
}

WRITE_P0294 LIKE READ_P0294
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0294 }
		REPLY { }
	}
}

VARIABLE P0295
{
	LABEL "P0295 Drive Rated Curr.|de|P0295 SR Nennstrom|es|P0295 Corr.Nom. Convertidor";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "20A|de|20A|es|20A" },
		{ 1, "50A|de|50A|es|50A" },
		{ 2, "90A|de|90A|es|90A" },
		{ 3, "125A|de|125A|es|125A" },
		{ 4, "180A|de|180A|es|180A" },
		{ 5, "260A|de|260A|es|260A" },
		{ 6, "480A|de|480A|es|480A" },
		{ 7, "640A|de|640A|es|640A" },
		{ 8, "1000A|de|1000A|es|1000A" },
		{ 9, "1500A|de|1500A|es|1500A" },
		{ 10, "2000A|de|2000A|es|2000A" },
		{ 11, "(CTW-04)1320A |de|(CTW-04)1320A |es|(CTW-04)1320A " },
		{ 12, "(CTW-04)1700A |de|(CTW-04)1700A |es|(CTW-04)1700A " },
		{ 13, "(CTW-04)1900A |de|(CTW-04)1900A |es|(CTW-04)1900A " },
		{ 14, "(CTW-04)2000A|de|(CTW-04)2000A|es|(CTW-04)2000A" },
		{ 15, "(CTW-04)2120A |de|(CTW-04)2120A |es|(CTW-04)2120A " },
		{ 16, "(CTW-04)3000A|de|(CTW-04)3000A|es|(CTW-04)3000A" },
		{ 17, "(CTW-04)3125A |de|(CTW-04)3125A |es|(CTW-04)3125A " },
		{ 18, "(CTW-04)3200A |de|(CTW-04)3200A |es|(CTW-04)3200A " }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0295
{
	SLOT 1;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0295 }
	}
}

VARIABLE P0296
{
	LABEL "P0296 Line Rated Voltage|de|P0296 FU Nennspannung|es|P0296 Tensin Nominal Red";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "200-240V|de|200-240V|es|200-240V" },
		{ 1, "380V|de|380V|es|380V" },
		{ 2, "400-415V|de|400-415V|es|400-415V" },
		{ 3, "440-460V|de|440-460V|es|440-460V" },
		{ 4, "480V|de|480V|es|480V" },
		{ 5, "500-525V|de|500-525V|es|500-525V" },
		{ 6, "550-575V|de|550-575V|es|550-575V" },
		{ 7, "600V|de|600V|es|600V" },
		{ 8, "660-690V|de|660-690V|es|660-690V" },
		{ 9, "740-990V|de|740-990V|es|740-990V" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0296
{
	SLOT 1;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0296 }
	}
}

WRITE_P0296 LIKE READ_P0296
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0296 }
		REPLY { }
	}
}

VARIABLE P0297
{
	LABEL "P0297 Field Control Loop|de|P0297 Feldregelung|es|P0297 Control del Campo";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Enabled|de|Ein|es|Habilitado" },
		{ 1, "Disabled|de|Aus|es|Inativo" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0297
{
	SLOT 1;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0297 }
	}
}

WRITE_P0297 LIKE READ_P0297
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0297 }
		REPLY { }
	}
}

VARIABLE P0298
{
	LABEL "P0298 Type of Converter|de|P0298 Stromrichtertyp|es|P0298 Tipo del Convertidor";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Single Bridge|de|Einzelbrcke|es|Unidirecional" },
		{ 1, "Double Bridge|de|Doppelbrcke|es|Antiparalelo" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0298
{
	SLOT 1;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0298 }
	}
}

WRITE_P0298 LIKE READ_P0298
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0298 }
		REPLY { }
	}
}

VARIABLE P0299
{
	LABEL "P0299 Control Mode|de|P0299 Regelmodus|es|P0299 Modo del Controlo";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Speed+Torque|de|Drehz.+Drehm.|es|Veloc+Torque" },
		{ 1, "Torque|de|Drehmoment|es|Torque" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0299
{
	SLOT 1;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0299 }
	}
}

WRITE_P0299 LIKE READ_P0299
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0299 }
		REPLY { }
	}
}

VARIABLE P0308
{
	LABEL "P0308 Serial Address     |de|P0308 Serielle Adresse|es|P0308 Direccin Serie";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 247;
	}
}

COMMAND READ_P0308
{
	SLOT 1;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0308 }
	}
}

WRITE_P0308 LIKE READ_P0308
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0308 }
		REPLY { }
	}
}

VARIABLE P0310
{
	LABEL "P0310 Serial Baud Rate|de|P0310 Seriella Baud Rate|es|P0310 Tasa Comunic. Serie";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "9600 bits/s|de|9600 bits/s|es|9600 bits/s" },
		{ 1, "19200 bits/s|de|19200 bits/s|es|19200 bits/s" },
		{ 2, "38400 bits/s|de|38400 bits/s|es|38400 bits/s" },
		{ 3, "57600 bits/s|de|57600 bits/s|es|57600 bits/s" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0310
{
	SLOT 1;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0310 }
	}
}

WRITE_P0310 LIKE READ_P0310
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0310 }
		REPLY { }
	}
}

VARIABLE P0311
{
	LABEL "P0311 Serial Bytes Config.|de|P0311 Serielle Byte Konfig.|es|P0311 Config. Bytes Serie";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "8 bits, no, 1|de|8 bits/ohne/1|es|8 bits, sin, 1" },
		{ 1, "8 bits, even,1|de|8 bits/gerad/1|es|8 bits, par, 1" },
		{ 2, "8 bits, odd, 1|de|8 bits/ung./1|es|8 bits, imp, 1" },
		{ 3, "8 bits, no, 2|de|8 bits/ohne/2|es|8 bits, sin, 2" },
		{ 4, "8 bits, even,2|de|8 bits/gerad/2|es|8 bits, par, 2" },
		{ 5, "8 bits, odd, 2|de|8 bits/ung./2|es|8 bits, imp, 2" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0311
{
	SLOT 1;
	INDEX 55;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0311 }
	}
}

WRITE_P0311 LIKE READ_P0311
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0311 }
		REPLY { }
	}
}

VARIABLE P0313
{
	LABEL "P0313 Comm. Error Action|de|P0313 Kom. Fehler Aktion|es|P0313 Accin p/Erro Comunic";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off|de|Aus|es|Inactivo" },
		{ 1, "Ramp Stop|de|Rampenstop|es|Para por Rampa" },
		{ 2, "General Disab.|de|Gen. Abschalt.|es|Deshab.General" },
		{ 3, "Go to LOC|de|Gehe zu LOC|es|Ir p/ LOC" },
		{ 4, "LOC Keep Enab.|de|LOC Keep Enab.|es|LOC Mantm Hab" },
		{ 5, "Cause Fault|de|Cause Fault|es|Causa Falha" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0313
{
	SLOT 1;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0313 }
	}
}

WRITE_P0313 LIKE READ_P0313
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0313 }
		REPLY { }
	}
}

VARIABLE P0314
{
	LABEL "P0314 Serial Watchdog|de|P0314 Serieller-Watchdog|es|P0314 Watchdog Serie";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0314
{
	SLOT 1;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0314 }
	}
}

WRITE_P0314 LIKE READ_P0314
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0314 }
		REPLY { }
	}
}

VARIABLE P0316
{
	LABEL "P0316 Serial Interf. Status|de|P0316 Schnittstellenstatus|es|P0316 Estado Interf. Serie";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off|de|Aus|es|Inactivo" },
		{ 1, "On        |de|Ein|es|Activo" },
		{ 2, "Watchdog Error|de|Watchdog Feh.|es|Error Watchdog" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0316
{
	SLOT 1;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0316 }
	}
}

VARIABLE P0340
{
	LABEL "P0340 Auto-Reset Time |de|P0340 Autoreset Zeit|es|P0340 Tiempo AutoReset";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 600;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0340
{
	SLOT 1;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0340 }
	}
}

WRITE_P0340 LIKE READ_P0340
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0340 }
		REPLY { }
	}
}

VARIABLE P0348
{
	LABEL "P0348 Conf. Overload Prot.|de|P0348 berlastschutzkonfig.|es|P0348 Conf.Prot.Sobrecarga";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off|de|Aus|es|Inactiva" },
		{ 1, "Fault/Alarm|de|Fehler / Alarm|es|Falla/Alarma" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Alarm|de|Alarm|es|Alarma" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0348
{
	SLOT 1;
	INDEX 92;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0348 }
	}
}

WRITE_P0348 LIKE READ_P0348
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0348 }
		REPLY { }
	}
}

VARIABLE P0349
{
	LABEL "P0349 Ixt Alarm Level|de|P0349 Niveau I x t Alarm|es|P0349 Nivel para Alarma Ixt";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 85;
		MIN_VALUE 70;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0349
{
	SLOT 1;
	INDEX 93;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0349 }
	}
}

WRITE_P0349 LIKE READ_P0349
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0349 }
		REPLY { }
	}
}

VARIABLE P0350
{
	LABEL "P0350 Ia > Ix Configuration|de|P0350 Ia > Ix Einstellung|es|P0350 Config. Ia > Ix";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Active|de|Aktiv|es|Activo" },
		{ 1, "Except Acc/Brk|de|O. Hoch-Ausl.|es|Sin Acel/Fren" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0350
{
	SLOT 1;
	INDEX 94;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0350 }
	}
}

WRITE_P0350 LIKE READ_P0350
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0350 }
		REPLY { }
	}
}

VARIABLE P0352
{
	LABEL "P0352 Tacho Fault Protect.|de|P0352 Tacho Ausfallschutz|es|P0352 Proteccin Falla Taco";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Active|de|Aktiv|es|Activa    " },
		{ 1, "Inactive|de|Inaktiv|es|Inactiva" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0352
{
	SLOT 1;
	INDEX 96;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0352 }
	}
}

WRITE_P0352 LIKE READ_P0352
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0352 }
		REPLY { }
	}
}

VARIABLE P0353
{
	LABEL "P0353 EMF Level Tacho Fault|de|P0353 EMK Niv. Tacho Fehler|es|P0353 Nvel FCEM Falla Taco";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 50;
		MIN_VALUE 0;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "V";
}

COMMAND READ_P0353
{
	SLOT 1;
	INDEX 97;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0353 }
	}
}

WRITE_P0353 LIKE READ_P0353
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0353 }
		REPLY { }
	}
}

VARIABLE P0354
{
	LABEL "P0354 Speed Dif.Tacho Fault|de|P0354 Drehzahldiff.Tac.Fehl|es|P0354 Dif.Veloc. Falla Taco";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 25;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0354
{
	SLOT 1;
	INDEX 98;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0354 }
	}
}

WRITE_P0354 LIKE READ_P0354
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0354 }
		REPLY { }
	}
}

VARIABLE P0355
{
	LABEL "P0355 Torque for Stall Prot|de|P0355 Drehmomentstrom Prot.|es|P0355 Torque p/ Rotor Bloq.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 5;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0355
{
	SLOT 1;
	INDEX 99;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0355 }
	}
}

WRITE_P0355 LIKE READ_P0355
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0355 }
		REPLY { }
	}
}

VARIABLE P0356
{
	LABEL "P0356 Delay Field Missing|de|P0356 Delay Field Missing|es|P0356 Tiempo p/ Falta Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0356
{
	SLOT 1;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0356 }
	}
}

WRITE_P0356 LIKE READ_P0356
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0356 }
		REPLY { }
	}
}

VARIABLE P0357
{
	LABEL "P0357 Line Phase Loss Time|de|P0357 Zeit Phasenverlust|es|P0357 Tiempo Ausencia Fase";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 3;
		MIN_VALUE 0;
		MAX_VALUE 60;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0357
{
	SLOT 1;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0357 }
	}
}

WRITE_P0357 LIKE READ_P0357
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0357 }
		REPLY { }
	}
}

VARIABLE P0358
{
	LABEL "P0358 Max. Arm. Overvoltage|de|P0358 Max. Ankerberspg.|es|P0358 Mx.Sobretensin Ind.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 10;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0358
{
	SLOT 1;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0358 }
	}
}

WRITE_P0358 LIKE READ_P0358
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0358 }
		REPLY { }
	}
}

VARIABLE P0359
{
	LABEL "P0359 Max. Field Overcurr.|de|P0359 Max. Feldberstrom|es|P0359 Mx. Sobrecorr. Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 10;
		MIN_VALUE 0;
		MAX_VALUE 35;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0359
{
	SLOT 1;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0359 }
	}
}

WRITE_P0359 LIKE READ_P0359
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0359 }
		REPLY { }
	}
}

VARIABLE P0361
{
	LABEL "P0361 Line Overvolt. Level|de|P0361 Netzberspgsgrenze|es|P0361 Mx. Sobretens. Rede";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 15;
		MIN_VALUE 0;
		MAX_VALUE 30;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0361
{
	SLOT 1;
	INDEX 105;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0361 }
	}
}

WRITE_P0361 LIKE READ_P0361
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0361 }
		REPLY { }
	}
}

VARIABLE P0362
{
	LABEL "P0362 Line Undervolt. Level|de|P0362 Netzunterspgsgrenze|es|P0362 Nvel Subtensin Rede";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 0;
		MAX_VALUE 30;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0362
{
	SLOT 1;
	INDEX 106;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0362 }
	}
}

WRITE_P0362 LIKE READ_P0362
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0362 }
		REPLY { }
	}
}

VARIABLE P0363
{
	LABEL "P0363 Line Unbalanced Level|de|P0363 Line Unbalanced Level|es|P0363 Mx. Desequilib. Rede";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 15;
		MIN_VALUE 0;
		MAX_VALUE 30;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0363
{
	SLOT 1;
	INDEX 107;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0363 }
	}
}

WRITE_P0363 LIKE READ_P0363
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0363 }
		REPLY { }
	}
}

VARIABLE P0364
{
	LABEL "P0364 Max. Line Freq. Var.|de|P0364 Max. Netzfrequenzvar.|es|P0364 Mx. Var. Frec. Rede";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 5;
		MIN_VALUE 1;
		MAX_VALUE 10;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0364
{
	SLOT 1;
	INDEX 108;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0364 }
	}
}

WRITE_P0364 LIKE READ_P0364
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0364 }
		REPLY { }
	}
}

VARIABLE P0400
{
	LABEL "P0400 Armature Rated Volt.|de|P0400 Nennankerspannung|es|P0400 Tensin Nom. Inducido";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 400;
		MIN_VALUE 0;
		MAX_VALUE 1200;
	}
	CONSTANT_UNIT "V";
}

COMMAND READ_P0400
{
	SLOT 1;
	INDEX 144;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0400 }
	}
}

WRITE_P0400 LIKE READ_P0400
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0400 }
		REPLY { }
	}
}

VARIABLE P0401
{
	LABEL "P0401 Armature Rated Curr.|de|P0401 Nennankerstrom|es|P0401 Corriente Nom. Induc.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 50;
		MIN_VALUE 0;
		MAX_VALUE 3500;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0401
{
	SLOT 1;
	INDEX 145;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0401 }
	}
}

WRITE_P0401 LIKE READ_P0401
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0401 }
		REPLY { }
	}
}

VARIABLE P0402
{
	LABEL "P0402 Motor Rated Speed |de|P0402 Motor Nenndrehzahl|es|P0402 Rotacin Nom. Motor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1800;
		MIN_VALUE 10;
		MAX_VALUE 6500;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0402
{
	SLOT 1;
	INDEX 146;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0402 }
	}
}

WRITE_P0402 LIKE READ_P0402
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0402 }
		REPLY { }
	}
}

VARIABLE P0404
{
	LABEL "P0404 Field Rated Current|de|P0404 Nennfeldstrom|es|P0404 Corriente Nom. Campo";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0404
{
	SLOT 1;
	INDEX 148;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0404 }
	}
}

WRITE_P0404 LIKE READ_P0404
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0404 }
		REPLY { }
	}
}

VARIABLE P0405
{
	LABEL "P0405 Encoder Pulses Number|de|P0405 Drehgeber PPR|es|P0405 Nmero Pulsos Encoder";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1024;
		MIN_VALUE 100;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "ppr";
}

COMMAND READ_P0405
{
	SLOT 1;
	INDEX 149;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0405 }
	}
}

WRITE_P0405 LIKE READ_P0405
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0405 }
		REPLY { }
	}
}

VARIABLE P0406
{
	LABEL "P0406 Tacho Voltage 1000rpm|de|P0406 Tachosannung 1000rpm|es|P0406 Tensin Taco 1000 rpm";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "V";
}

COMMAND READ_P0406
{
	SLOT 1;
	INDEX 150;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0406 }
	}
}

WRITE_P0406 LIKE READ_P0406
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0406 }
		REPLY { }
	}
}

VARIABLE P0407
{
	LABEL "P0407 DC Tacho Gain Adjust|de|P0407 DC Tacho Verstrkung|es|P0407 Ajus. Ganancia TacoCC";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0407
{
	SLOT 1;
	INDEX 151;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0407 }
	}
}

WRITE_P0407 LIKE READ_P0407
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0407 }
		REPLY { }
	}
}

VARIABLE P0409
{
	LABEL "P0409 Armature Resistance|de|P0409 Statorwiderstand|es|P0409 Resistencia Inducido";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
	CONSTANT_UNIT "ohm";
}

COMMAND READ_P0409
{
	SLOT 1;
	INDEX 153;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0409 }
	}
}

WRITE_P0409 LIKE READ_P0409
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0409 }
		REPLY { }
	}
}

VARIABLE P0550
{
	LABEL "P0550 Trigger Signal Source|de|P0550 Triggerquelle|es|P0550 Fuente Trigger Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Total Refer.|de|Drehz.Sollw.|es|Ref. Total " },
		{ 2, "Current Speed|de|akt. Drehzahl|es|Veloc. Actual" },
		{ 3, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 4, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 5, "Field Current|de|Feldstrom|es|Corr. Campo" },
		{ 6, "Motor Torque|de|Motormoment|es|Torque Motor" },
		{ 7, "AI1 |de|AI1 |es|AI1 " },
		{ 8, "AI2 |de|AI2 |es|AI2 " },
		{ 9, "AI3|de|AI3|es|AI3" },
		{ 10, "AI4|de|AI4|es|AI4" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0550
{
	SLOT 2;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0550 }
	}
}

WRITE_P0550 LIKE READ_P0550
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0550 }
		REPLY { }
	}
}

VARIABLE P0551
{
	LABEL "P0551 Trigger Level|de|P0551 Triggerlevel|es|P0551 Valor Trigger";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0551
{
	SLOT 2;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0551 }
	}
}

WRITE_P0551 LIKE READ_P0551
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0551 }
		REPLY { }
	}
}

VARIABLE P0552
{
	LABEL "P0552 Trigger Condition|de|P0552 Triggerbedingung|es|P0552 Condicin Trigger";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "P0550* = P0551|de|P0550* = P0551|es|P0550* = P0551" },
		{ 1, "P0550* <>P0551|de|P0550* <>P0551|es|P0550* <>P0551" },
		{ 2, "P0550* > P0551|de|P0550* > P0551|es|P0550* > P0551" },
		{ 3, "P0550* < P0551|de|P0550* < P0551|es|P0550* < P0551" },
		{ 4, "Alarm|de|Alarm |es|Alarma" },
		{ 5, "Fault|de|Fehler|es|Falla" },
		{ 6, "DIx|de|DIx |es|DIx" }
		DEFAULT_VALUE 5;
	}
}

COMMAND READ_P0552
{
	SLOT 2;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0552 }
	}
}

WRITE_P0552 LIKE READ_P0552
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0552 }
		REPLY { }
	}
}

VARIABLE P0553
{
	LABEL "P0553 Trace Sampling Period|de|P0553 Trace Abtastzeit|es|P0553 Tiempo Muestreo Trace";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P0553
{
	SLOT 2;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0553 }
	}
}

WRITE_P0553 LIKE READ_P0553
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0553 }
		REPLY { }
	}
}

VARIABLE P0554
{
	LABEL "P0554 Trace Pre-Trigger|de|P0554 Trace Vortrigger|es|P0554 Pretrigger Trace";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0554
{
	SLOT 2;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0554 }
	}
}

WRITE_P0554 LIKE READ_P0554
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0554 }
		REPLY { }
	}
}

VARIABLE P0559
{
	LABEL "P0559 Trace Max. Memory|de|P0559 Trace max. Speicher|es|P0559 Memoria Mxima Trace";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0559
{
	SLOT 2;
	INDEX 48;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0559 }
	}
}

WRITE_P0559 LIKE READ_P0559
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0559 }
		REPLY { }
	}
}

VARIABLE P0560
{
	LABEL "P0560 Trace Avail. Memory|de|P0560 Trace verfg.Speicher|es|P0560 Memoria Dispon. Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0560
{
	SLOT 2;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0560 }
	}
}

VARIABLE P0561
{
	LABEL "P0561 Trace Channel 1 (CH1)|de|P0561 Trace Kanal 1 (CH1)|es|P0561 CH1: Canal 1 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Total Refer.|de|Drehz.Sollw.|es|Ref. Total " },
		{ 2, "Current Speed|de|akt. Drehzahl|es|Veloc. Actual" },
		{ 3, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 4, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 5, "Field Current|de|Feldstrom|es|Corr. Campo" },
		{ 6, "Motor Torque|de|Motormoment|es|Torque Motor" },
		{ 7, "AI1 |de|AI1 |es|AI1 " },
		{ 8, "AI2 |de|AI2 |es|AI2 " },
		{ 9, "AI3|de|AI3|es|AI3" },
		{ 10, "AI4|de|AI4|es|AI4" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0561
{
	SLOT 2;
	INDEX 50;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0561 }
	}
}

WRITE_P0561 LIKE READ_P0561
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0561 }
		REPLY { }
	}
}

VARIABLE P0562
{
	LABEL "P0562 Trace Channel 2 (CH2)|de|P0562 Trace Kanal 2 (CH2)|es|P0562 CH2: Canal 2 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Total Refer.|de|Drehz.Sollw.|es|Ref. Total " },
		{ 2, "Current Speed|de|akt. Drehzahl|es|Veloc. Actual" },
		{ 3, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 4, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 5, "Field Current|de|Feldstrom|es|Corr. Campo" },
		{ 6, "Motor Torque|de|Motormoment|es|Torque Motor" },
		{ 7, "AI1 |de|AI1 |es|AI1 " },
		{ 8, "AI2 |de|AI2 |es|AI2 " },
		{ 9, "AI3|de|AI3|es|AI3" },
		{ 10, "AI4|de|AI4|es|AI4" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0562
{
	SLOT 2;
	INDEX 51;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0562 }
	}
}

WRITE_P0562 LIKE READ_P0562
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0562 }
		REPLY { }
	}
}

VARIABLE P0563
{
	LABEL "P0563 Trace Channel 3 (CH3)|de|P0563 Trace Kanal 3 (CH3)|es|P0563 CH3: Canal 3 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Total Refer.|de|Drehz.Sollw.|es|Ref. Total " },
		{ 2, "Current Speed|de|akt. Drehzahl|es|Veloc. Actual" },
		{ 3, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 4, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 5, "Field Current|de|Feldstrom|es|Corr. Campo" },
		{ 6, "Motor Torque|de|Motormoment|es|Torque Motor" },
		{ 7, "AI1 |de|AI1 |es|AI1 " },
		{ 8, "AI2 |de|AI2 |es|AI2 " },
		{ 9, "AI3|de|AI3|es|AI3" },
		{ 10, "AI4|de|AI4|es|AI4" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0563
{
	SLOT 2;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0563 }
	}
}

WRITE_P0563 LIKE READ_P0563
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0563 }
		REPLY { }
	}
}

VARIABLE P0564
{
	LABEL "P0564 Trace Channel 4 (CH4)|de|P0564 Trace Kanal 4 (CH4)|es|P0564 CH4: Canal 4 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "Total Refer.|de|Drehz.Sollw.|es|Ref. Total " },
		{ 2, "Current Speed|de|akt. Drehzahl|es|Veloc. Actual" },
		{ 3, "Armature Curr.|de|Ankerstrom|es|Corr. Inducido" },
		{ 4, "Armature Volt.|de|Ankerspannung|es|Tens. Inducido" },
		{ 5, "Field Current|de|Feldstrom|es|Corr. Campo" },
		{ 6, "Motor Torque|de|Motormoment|es|Torque Motor" },
		{ 7, "AI1 |de|AI1 |es|AI1 " },
		{ 8, "AI2 |de|AI2 |es|AI2 " },
		{ 9, "AI3|de|AI3|es|AI3" },
		{ 10, "AI4|de|AI4|es|AI4" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0564
{
	SLOT 2;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0564 }
	}
}

WRITE_P0564 LIKE READ_P0564
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0564 }
		REPLY { }
	}
}

VARIABLE P0571
{
	LABEL "P0571 Start Trace Function|de|P0571 Start Trace-Funktion|es|P0571 Inicia Funcion Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactivo  " },
		{ 1, "On        |de|Ein|es|Activo    " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0571
{
	SLOT 2;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0571 }
	}
}

WRITE_P0571 LIKE READ_P0571
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0571 }
		REPLY { }
	}
}

VARIABLE P0572
{
	LABEL "P0572 Trace Trig. Day/Month|de|P0572 Trace Trig. Tag/Monat|es|P0572 Da/Mes Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0572 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0572
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0572 = (P0572&0x00FF) + (P0572>>8)*100; }
}

COMMAND READ_P0572
{
	SLOT 2;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0572 }
	}
}

VARIABLE P0573
{
	LABEL "P0573 Trace Trig. Year|de|P0573 Trace Trig. Jahr|es|P0573 Ao Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0573
{
	SLOT 2;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0573 }
	}
}

VARIABLE P0574
{
	LABEL "P0574 Trace Trig. Time|de|P0574 Trace Trig. Zeit|es|P0574 Hora Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0574 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0574
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0574 = (P0574&0x00FF) + (P0574>>8)*100; }
}

COMMAND READ_P0574
{
	SLOT 2;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0574 }
	}
}

VARIABLE P0575
{
	LABEL "P0575 Trace Trig. Seconds|de|P0575 Trace Trig. Sekunden|es|P0575 Seg. Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 59;
	}
	HANDLING READ;
}

COMMAND READ_P0575
{
	SLOT 2;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0575 }
	}
}

VARIABLE P0576
{
	LABEL "P0576 Trace Function Status|de|P0576 Trace Status|es|P0576 Estado Funcin Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactivo  " },
		{ 1, "Waiting|de|Warten|es|Aguardando" },
		{ 2, "Trigger|de|Triggern|es|Trigger" },
		{ 3, "Concluded|de|Fertig|es|Concluido" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0576
{
	SLOT 2;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0576 }
	}
}

VARIABLE P0642
{
	LABEL "P0642 Self-Diagnosis|de|P0642 Selbstdiagnose|es|P0642 Autodiagnstico";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0642
{
	SLOT 2;
	INDEX 131;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0642 }
	}
}

VARIABLE P0680
{
	LABEL "P0680 Logical Status|de|P0680 Logischer Status|es|P0680 Estado Lgico";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Quick Stop ON|de|Schnellstopp|es|En Parada Rp." },
		{ 0x0002, "Self-tuning|de|Selbstabgleich|es|Autoajuste" },
		{ 0x0004, "Blocked|de|blockiert|es|Bloqueado" },
		{ 0x0008, "Decelerating|de|Nicht benutzt|es|Desaceleracin" },
		{ 0x0010, "Accelerating|de|Nicht benutzt|es|Aceleracin" },
		{ 0x0020, "2nd Ramp|de|2. Rampe|es|2a Rampa" },
		{ 0x0040, "Config. Mode|de|Konif. Modus|es|Modo Config." },
		{ 0x0080, "Alarm|de|Alarm|es|Alarma" },
		{ 0x0100, "Running|de|Ein|es|Operativo" },
		{ 0x0200, "Enabled|de|Freigegeben|es|Activado" },
		{ 0x0400, "Reverse|de|Linkslauf|es|Sent. Inverso" },
		{ 0x0800, "JOG|de|JOG|es|JOG" },
		{ 0x1000, "Remote|de|Remote|es|Remoto" },
		{ 0x2000, "Subvoltage|de|Unterspannung|es|Subtensin" },
		{ 0x4000, "FWD/REV Change|de|Drehr. Wechsel|es|Camb.Sent.Giro" },
		{ 0x8000, "Fault|de|Fehler|es|Falla" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0680
{
	SLOT 2;
	INDEX 169;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0680 }
	}
}

VARIABLE P0681
{
	LABEL "P0681 Speed in 13 bits|de|P0681 Drehzahl in 13 bits|es|P0681 Velocidad 13 bits";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
	HANDLING READ;
}

COMMAND READ_P0681
{
	SLOT 2;
	INDEX 170;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0681 }
	}
}

VARIABLE P0682
{
	LABEL "P0682 Serial/USB Control|de|P0682 Serielle/USB Kontr.|es|P0682 Control Serie/USB";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Ramp Enable|de|Rampenfreig.|es|Habilita Rampa" },
		{ 0x0002, "General Enable|de|Gerneralfreig.|es|Habilita Gener" },
		{ 0x0004, "Run Reverse|de|Linkslauf Ein|es|Girar Inverso" },
		{ 0x0008, "JOG Enable|de|JOG Ein|es|Habilita JOG" },
		{ 0x0010, "Remote|de|Remote|es|Remoto" },
		{ 0x0020, "2nd Ramp|de|2. Rampe|es|2a Rampa" },
		{ 0x0040, "Quick Stop|de|Schnellstopp|es|Parada Rpida" },
		{ 0x0080, "Fault Reset|de|Fehlerreset|es|Reset de Falla" },
		{ 0xFF00, "Not Used  |de|Nicht benutzt|es|Reservado" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0682
{
	SLOT 2;
	INDEX 171;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0682 }
	}
}

VARIABLE P0683
{
	LABEL "P0683 Serial/USB Speed Ref.|de|P0683 Ser/USB Drehz Sollw.|es|P0683 Ref. Vel. Serie/USB";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
	HANDLING READ;
}

COMMAND READ_P0683
{
	SLOT 2;
	INDEX 172;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0683 }
	}
}

VARIABLE P0686
{
	LABEL "P0686 Anybus-CC Control|de|P0686 Anybus-CC Kontrolle|es|P0686 Control Anybus-CC";
	CLASS CONTAINED;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Ramp Enable|de|Rampenfreig.|es|Habilita Rampa" },
		{ 0x0002, "General Enable|de|Gerneralfreig.|es|Habilita Gener" },
		{ 0x0004, "Run Reverse|de|Linkslauf Ein|es|Girar Inverso" },
		{ 0x0008, "JOG Enable|de|JOG Ein|es|Habilita JOG" },
		{ 0x0010, "Remote|de|Remote|es|Remoto" },
		{ 0x0020, "2nd Ramp|de|2. Rampe|es|2a Rampa" },
		{ 0x0040, "Quick Stop|de|Schnellstopp|es|Parada Rpida" },
		{ 0x0080, "Fault Reset|de|Fehlerreset|es|Reset de Falla" },
		{ 0xFF00, "Not Used  |de|Nicht benutzt|es|Reservado" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0686
{
	SLOT 2;
	INDEX 175;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0686 }
	}
}

WRITE_P0686 LIKE READ_P0686
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0686 }
		REPLY { }
	}
}

VARIABLE P0687
{
	LABEL "P0687 Anybus-CC Speed Ref.|de|P0687 Anybus-CC Drehz Sollw|es|P0687 Ref. Vel. Anybus-CC";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0687
{
	SLOT 2;
	INDEX 176;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0687 }
	}
}

WRITE_P0687 LIKE READ_P0687
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0687 }
		REPLY { }
	}
}

VARIABLE P0695
{
	LABEL "P0695 DOx Value|de|P0695 DOx Wert|es|P0695 Valor para DOx";
	CLASS CONTAINED;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "DO1|de|DO1|es|DO1" },
		{ 0x0002, "DO2|de|DO2|es|DO2" },
		{ 0x0004, "DO3|de|DO3|es|DO3" },
		{ 0x0008, "DO4|de|DO4|es|DO4" },
		{ 0x0010, "DO5|de|DO5|es|DO5" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0695
{
	SLOT 2;
	INDEX 184;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0695 }
	}
}

WRITE_P0695 LIKE READ_P0695
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0695 }
		REPLY { }
	}
}

VARIABLE P0696
{
	LABEL "P0696 AOx Value 1|de|P0696 1. AOx Wert|es|P0696 Valor 1 para AOx";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0696
{
	SLOT 2;
	INDEX 185;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0696 }
	}
}

WRITE_P0696 LIKE READ_P0696
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0696 }
		REPLY { }
	}
}

VARIABLE P0697
{
	LABEL "P0697 AOx Value 2|de|P0697 2. AOx Wert|es|P0697 Valor 2 para AOx";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0697
{
	SLOT 2;
	INDEX 186;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0697 }
	}
}

WRITE_P0697 LIKE READ_P0697
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0697 }
		REPLY { }
	}
}

VARIABLE P0698
{
	LABEL "P0698 AOx Value 3|de|P0698 3. AOx Wert|es|P0698 Valor 3 para AOx";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0698
{
	SLOT 2;
	INDEX 187;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0698 }
	}
}

WRITE_P0698 LIKE READ_P0698
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0698 }
		REPLY { }
	}
}

VARIABLE P0699
{
	LABEL "P0699 AOx Value 4|de|P0699 4. AOx Wert|es|P0699 Valor 4 para AOx";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0699
{
	SLOT 2;
	INDEX 188;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0699 }
	}
}

WRITE_P0699 LIKE READ_P0699
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0699 }
		REPLY { }
	}
}

VARIABLE P0723
{
	LABEL "P0723 Anybus Identification|de|P0723 Identifikation Anybus|es|P0723 Identificacin Anybus";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disabled|de|Aus|es|Deshabilitado" },
		{ 1, "RS232|de|RS232|es|RS232" },
		{ 2, "RS422|de|RS422|es|RS422" },
		{ 3, "USB|de|USB|es|USB" },
		{ 4, "Serial Server|de|Seriel. Server|es|Serial Server" },
		{ 5, "Bluetooth|de|Bluetooth|es|Bluetooth" },
		{ 6, "Zigbee|de|Zigbee|es|Zigbee" },
		{ 7, "Reserved|de|Reserviert|es|Reservado" },
		{ 8, "Reserved|de|Reserviert|es|Reservado" },
		{ 9, "Reserved|de|Reserviert|es|Reservado" },
		{ 10, "RS485|de|RS485|es|RS485" },
		{ 11, "Reserved|de|Reserviert|es|Reservado" },
		{ 12, "Reserved|de|Reserviert|es|Reservado" },
		{ 13, "Reserved|de|Reserviert|es|Reservado" },
		{ 14, "Reserved|de|Reserviert|es|Reservado" },
		{ 15, "Reserved|de|Reserviert|es|Reservado" },
		{ 16, "Profibus DP|de|Profibus DP|es|Profibus DP" },
		{ 17, "DeviceNet|de|DeviceNet|es|DeviceNet" },
		{ 18, "CANopen|de|CANopen|es|CANopen" },
		{ 19, "EtherNet/IP|de|EtherNet/IP|es|EtherNet/IP" },
		{ 20, "CC-Link|de|CC-Link|es|CC-Link" },
		{ 21, "Modbus TCP|de|Modbus TCP|es|Modbus TCP" },
		{ 22, "Modbus RTU|de|Modbus RTU|es|Modbus RTU" },
		{ 23, "PROFINET IO|de|PROFINET IO|es|PROFINET IO" },
		{ 24, "Reserved|de|Reserviert|es|Reservado" },
		{ 25, "Reserved|de|Reserviert|es|Reservado" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0723
{
	SLOT 2;
	INDEX 212;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0723 }
	}
}

VARIABLE P0724
{
	LABEL "P0724 Anybus Comm. Status|de|P0724 Anybus Komm. Status|es|P0724 Estado Comunic.Anybus";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disabled|de|Aus|es|Inactivo" },
		{ 1, "Not Supported|de|Nicht unterst|es|No Soportado" },
		{ 2, "Access Error|de|Zugriffsfehler|es|Error Acceso" },
		{ 3, "Offline|de|Offline|es|Offline" },
		{ 4, "Online|de|Online|es|Online" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0724
{
	SLOT 2;
	INDEX 213;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0724 }
	}
}

VARIABLE P0725
{
	LABEL "P0725 Anybus Address|de|P0725 Anybus Adresse|es|P0725 Direccin Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
}

COMMAND READ_P0725
{
	SLOT 2;
	INDEX 214;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0725 }
	}
}

WRITE_P0725 LIKE READ_P0725
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0725 }
		REPLY { }
	}
}

VARIABLE P0726
{
	LABEL "P0726 Anybus Baud Rate|de|P0726 Anybus Baudrate|es|P0726 Tasa Comunic. Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 3;
	}
}

COMMAND READ_P0726
{
	SLOT 2;
	INDEX 215;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0726 }
	}
}

WRITE_P0726 LIKE READ_P0726
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0726 }
		REPLY { }
	}
}

VARIABLE P0728
{
	LABEL "P0728 Anybus Read Word #3|de|P0728 Anybus Lese Wort #3|es|P0728 Lectura #3 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0728
{
	SLOT 2;
	INDEX 217;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0728 }
	}
}

WRITE_P0728 LIKE READ_P0728
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0728 }
		REPLY { }
	}
}

VARIABLE P0729
{
	LABEL "P0729 Anybus Read Word #4|de|P0729 Anybus Lese Wort #4|es|P0729 Lectura #4 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0729
{
	SLOT 2;
	INDEX 218;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0729 }
	}
}

WRITE_P0729 LIKE READ_P0729
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0729 }
		REPLY { }
	}
}

VARIABLE P0730
{
	LABEL "P0730 Anybus Read Word #5|de|P0730 Anybus Lese Wort #5|es|P0730 Lectura #5 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0730
{
	SLOT 2;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0730 }
	}
}

WRITE_P0730 LIKE READ_P0730
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0730 }
		REPLY { }
	}
}

VARIABLE P0731
{
	LABEL "P0731 Anybus Read Word #6|de|P0731 Anybus Lese Wort #6|es|P0731 Lectura #6 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0731
{
	SLOT 2;
	INDEX 220;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0731 }
	}
}

WRITE_P0731 LIKE READ_P0731
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0731 }
		REPLY { }
	}
}

VARIABLE P0732
{
	LABEL "P0732 Anybus Read Word #7|de|P0732 Anybus Lese Wort #7|es|P0732 Lectura #7 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0732
{
	SLOT 2;
	INDEX 221;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0732 }
	}
}

WRITE_P0732 LIKE READ_P0732
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0732 }
		REPLY { }
	}
}

VARIABLE P0733
{
	LABEL "P0733 Anybus Read Word #8|de|P0733 Anybus Lese Wort #8|es|P0733 Lectura #8 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0733
{
	SLOT 2;
	INDEX 222;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0733 }
	}
}

WRITE_P0733 LIKE READ_P0733
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0733 }
		REPLY { }
	}
}

VARIABLE P0734
{
	LABEL "P0734 Anybus Read Word #9|de|P0734 Anybus Lese Wort #9|es|P0734 Lectura #9 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0734
{
	SLOT 2;
	INDEX 223;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0734 }
	}
}

WRITE_P0734 LIKE READ_P0734
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0734 }
		REPLY { }
	}
}

VARIABLE P0735
{
	LABEL "P0735 Anybus Read Word #10|de|P0735 Anybus Lese Wort #10|es|P0735 Lectura #10 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0735
{
	SLOT 2;
	INDEX 224;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0735 }
	}
}

WRITE_P0735 LIKE READ_P0735
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0735 }
		REPLY { }
	}
}

VARIABLE P0736
{
	LABEL "P0736 Anybus Read Word #11|de|P0736 Anybus Lese Wort #11|es|P0736 Lectura #11 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0736
{
	SLOT 2;
	INDEX 225;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0736 }
	}
}

WRITE_P0736 LIKE READ_P0736
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0736 }
		REPLY { }
	}
}

VARIABLE P0737
{
	LABEL "P0737 Anybus Read Word #12|de|P0737 Anybus Lese Wort #12|es|P0737 Lectura #12 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0737
{
	SLOT 2;
	INDEX 226;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0737 }
	}
}

WRITE_P0737 LIKE READ_P0737
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0737 }
		REPLY { }
	}
}

VARIABLE P0738
{
	LABEL "P0738 Anybus Write Word #3|de|P0738 Anybus Schr. Wort #3|es|P0738 Escrita #3 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0738
{
	SLOT 2;
	INDEX 227;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0738 }
	}
}

WRITE_P0738 LIKE READ_P0738
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0738 }
		REPLY { }
	}
}

VARIABLE P0739
{
	LABEL "P0739 Anybus Write Word #4|de|P0739 Anybus Schr. Wort #4|es|P0739 Escrita #4 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0739
{
	SLOT 2;
	INDEX 228;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0739 }
	}
}

WRITE_P0739 LIKE READ_P0739
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0739 }
		REPLY { }
	}
}

VARIABLE P0740
{
	LABEL "P0740 Anybus Write Word #5|de|P0740 Anybus Schr. Wort #5|es|P0740 Escrita #5 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0740
{
	SLOT 2;
	INDEX 229;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0740 }
	}
}

WRITE_P0740 LIKE READ_P0740
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0740 }
		REPLY { }
	}
}

VARIABLE P0741
{
	LABEL "P0741 Anybus Write Word #6|de|P0741 Anybus Schr. Wort #6|es|P0741 Escrita #6 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0741
{
	SLOT 2;
	INDEX 230;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0741 }
	}
}

WRITE_P0741 LIKE READ_P0741
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0741 }
		REPLY { }
	}
}

VARIABLE P0742
{
	LABEL "P0742 Anybus Write Word #7|de|P0742 Anybus Schr. Wort #7|es|P0742 Escrita #7 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0742
{
	SLOT 2;
	INDEX 231;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0742 }
	}
}

WRITE_P0742 LIKE READ_P0742
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0742 }
		REPLY { }
	}
}

VARIABLE P0743
{
	LABEL "P0743 Anybus Write Word #8|de|P0743 Anybus Schr. Wort #8|es|P0743 Escrita #8 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0743
{
	SLOT 2;
	INDEX 232;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0743 }
	}
}

WRITE_P0743 LIKE READ_P0743
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0743 }
		REPLY { }
	}
}

VARIABLE P0744
{
	LABEL "P0744 Anybus Write Word #9|de|P0744 Anybus Schr. Wort #9|es|P0744 Escrita #9 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0744
{
	SLOT 2;
	INDEX 233;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0744 }
	}
}

WRITE_P0744 LIKE READ_P0744
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0744 }
		REPLY { }
	}
}

VARIABLE P0745
{
	LABEL "P0745 Anybus Write Word #10|de|P0745 Anybus Schr. Wort #10|es|P0745 Escrita #10 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0745
{
	SLOT 2;
	INDEX 234;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0745 }
	}
}

WRITE_P0745 LIKE READ_P0745
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0745 }
		REPLY { }
	}
}

VARIABLE P0746
{
	LABEL "P0746 Anybus Write Word #11|de|P0746 Anybus Schr. Wort #11|es|P0746 Escrita #11 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0746
{
	SLOT 2;
	INDEX 235;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0746 }
	}
}

WRITE_P0746 LIKE READ_P0746
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0746 }
		REPLY { }
	}
}

VARIABLE P0747
{
	LABEL "P0747 Anybus Write Word #12|de|P0747 Anybus Schr. Wort #12|es|P0747 Escrita #12 Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1499;
	}
}

COMMAND READ_P0747
{
	SLOT 2;
	INDEX 236;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0747 }
	}
}

WRITE_P0747 LIKE READ_P0747
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0747 }
		REPLY { }
	}
}

VARIABLE P1000
{
	LABEL "P1000 SoftPLC Status|de|P1000 Status SoftPLC|es|P1000 Estado de la SoftPLC";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "No Application|de|Ohne Anwendung|es|Sin Aplicacin" },
		{ 1, "Install. App.|de|Installiere|es|Instal. Aplic." },
		{ 2, "Incompat. App.|de|Inkompatibel|es|Aplic. Incomp." },
		{ 3, "App. Stopped|de|Gestoppt|es|Aplic. Parado" },
		{ 4, "App. Running|de|Anwend. Luft|es|Aplic. Ejec." }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P1000
{
	SLOT 3;
	INDEX 234;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1000 }
	}
}

VARIABLE P1001
{
	LABEL "P1001 SoftPLC Command|de|P1001 SoftPLC Steuerung|es|P1001 Comando para SoftPLC";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Stop Program|de|Progr. stoppen|es|Para Aplic." },
		{ 1, "Run Program|de|Progr. starten|es|Ejecuta Aplic." },
		{ 2, "Delete Program|de|Progr. lschen|es|Quitar Aplic." }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P1001
{
	SLOT 3;
	INDEX 235;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1001 }
	}
}

WRITE_P1001 LIKE READ_P1001
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1001 }
		REPLY { }
	}
}

VARIABLE P1002
{
	LABEL "P1002 Scan Cycle Time|de|P1002 Zeit Scanzyklus|es|P1002 Tiempo Ciclo de Ejec.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "ms";
	HANDLING READ;
}

COMMAND READ_P1002
{
	SLOT 3;
	INDEX 236;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1002 }
	}
}

VARIABLE P1010
{
	LABEL "P1010 SoftPLC Parameter 1|de|P1010 SoftPLC Parameter 1|es|P1010 Parmetro SoftPLC 1";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1010
{
	SLOT 3;
	INDEX 244;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1010 }
	}
}

WRITE_P1010 LIKE READ_P1010
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1010 }
		REPLY { }
	}
}

VARIABLE P1011
{
	LABEL "P1011 SoftPLC Parameter 2|de|P1011 SoftPLC Parameter 2|es|P1011 Parmetro SoftPLC 2";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1011
{
	SLOT 3;
	INDEX 245;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1011 }
	}
}

WRITE_P1011 LIKE READ_P1011
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1011 }
		REPLY { }
	}
}

VARIABLE P1012
{
	LABEL "P1012 SoftPLC Parameter 3|de|P1012 SoftPLC Parameter 3|es|P1012 Parmetro SoftPLC 3";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1012
{
	SLOT 3;
	INDEX 246;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1012 }
	}
}

WRITE_P1012 LIKE READ_P1012
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1012 }
		REPLY { }
	}
}

VARIABLE P1013
{
	LABEL "P1013 SoftPLC Parameter 4|de|P1013 SoftPLC Parameter 4|es|P1013 Parmetro SoftPLC 4";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1013
{
	SLOT 3;
	INDEX 247;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1013 }
	}
}

WRITE_P1013 LIKE READ_P1013
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1013 }
		REPLY { }
	}
}

VARIABLE P1014
{
	LABEL "P1014 SoftPLC Parameter 5|de|P1014 SoftPLC Parameter 5|es|P1014 Parmetro SoftPLC 5";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1014
{
	SLOT 3;
	INDEX 248;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1014 }
	}
}

WRITE_P1014 LIKE READ_P1014
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1014 }
		REPLY { }
	}
}

VARIABLE P1015
{
	LABEL "P1015 SoftPLC Parameter 6|de|P1015 SoftPLC Parameter 6|es|P1015 Parmetro SoftPLC 6";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1015
{
	SLOT 3;
	INDEX 249;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1015 }
	}
}

WRITE_P1015 LIKE READ_P1015
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1015 }
		REPLY { }
	}
}

VARIABLE P1016
{
	LABEL "P1016 SoftPLC Parameter 7|de|P1016 SoftPLC Parameter 7|es|P1016 Parmetro SoftPLC 7";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1016
{
	SLOT 3;
	INDEX 250;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1016 }
	}
}

WRITE_P1016 LIKE READ_P1016
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1016 }
		REPLY { }
	}
}

VARIABLE P1017
{
	LABEL "P1017 SoftPLC Parameter 8|de|P1017 SoftPLC Parameter 8|es|P1017 Parmetro SoftPLC 8";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1017
{
	SLOT 3;
	INDEX 251;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1017 }
	}
}

WRITE_P1017 LIKE READ_P1017
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1017 }
		REPLY { }
	}
}

VARIABLE P1018
{
	LABEL "P1018 SoftPLC Parameter 9|de|P1018 SoftPLC Parameter 9|es|P1018 Parmetro SoftPLC 9";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1018
{
	SLOT 3;
	INDEX 252;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1018 }
	}
}

WRITE_P1018 LIKE READ_P1018
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1018 }
		REPLY { }
	}
}

VARIABLE P1019
{
	LABEL "P1019 SoftPLC Parameter 10|de|P1019 SoftPLC Parameter 10|es|P1019 Parmetro SoftPLC 10";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1019
{
	SLOT 3;
	INDEX 253;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1019 }
	}
}

WRITE_P1019 LIKE READ_P1019
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1019 }
		REPLY { }
	}
}

VARIABLE P1020
{
	LABEL "P1020 SoftPLC Parameter 11|de|P1020 SoftPLC Parameter 11|es|P1020 Parmetro SoftPLC 11";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1020
{
	SLOT 3;
	INDEX 254;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1020 }
	}
}

WRITE_P1020 LIKE READ_P1020
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1020 }
		REPLY { }
	}
}

VARIABLE P1021
{
	LABEL "P1021 SoftPLC Parameter 12|de|P1021 SoftPLC Parameter 12|es|P1021 Parmetro SoftPLC 12";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1021
{
	SLOT 4;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1021 }
	}
}

WRITE_P1021 LIKE READ_P1021
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1021 }
		REPLY { }
	}
}

VARIABLE P1022
{
	LABEL "P1022 SoftPLC Parameter 13|de|P1022 SoftPLC Parameter 13|es|P1022 Parmetro SoftPLC 13";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1022
{
	SLOT 4;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1022 }
	}
}

WRITE_P1022 LIKE READ_P1022
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1022 }
		REPLY { }
	}
}

VARIABLE P1023
{
	LABEL "P1023 SoftPLC Parameter 14|de|P1023 SoftPLC Parameter 14|es|P1023 Parmetro SoftPLC 14";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1023
{
	SLOT 4;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1023 }
	}
}

WRITE_P1023 LIKE READ_P1023
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1023 }
		REPLY { }
	}
}

VARIABLE P1024
{
	LABEL "P1024 SoftPLC Parameter 15|de|P1024 SoftPLC Parameter 15|es|P1024 Parmetro SoftPLC 15";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1024
{
	SLOT 4;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1024 }
	}
}

WRITE_P1024 LIKE READ_P1024
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1024 }
		REPLY { }
	}
}

VARIABLE P1025
{
	LABEL "P1025 SoftPLC Parameter 16|de|P1025 SoftPLC Parameter 16|es|P1025 Parmetro SoftPLC 16";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1025
{
	SLOT 4;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1025 }
	}
}

WRITE_P1025 LIKE READ_P1025
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1025 }
		REPLY { }
	}
}

VARIABLE P1026
{
	LABEL "P1026 SoftPLC Parameter 17|de|P1026 SoftPLC Parameter 17|es|P1026 Parmetro SoftPLC 17";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1026
{
	SLOT 4;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1026 }
	}
}

WRITE_P1026 LIKE READ_P1026
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1026 }
		REPLY { }
	}
}

VARIABLE P1027
{
	LABEL "P1027 SoftPLC Parameter 18|de|P1027 SoftPLC Parameter 18|es|P1027 Parmetro SoftPLC 18";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1027
{
	SLOT 4;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1027 }
	}
}

WRITE_P1027 LIKE READ_P1027
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1027 }
		REPLY { }
	}
}

VARIABLE P1028
{
	LABEL "P1028 SoftPLC Parameter 19|de|P1028 SoftPLC Parameter 19|es|P1028 Parmetro SoftPLC 19";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1028
{
	SLOT 4;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1028 }
	}
}

WRITE_P1028 LIKE READ_P1028
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1028 }
		REPLY { }
	}
}

VARIABLE P1029
{
	LABEL "P1029 SoftPLC Parameter 20|de|P1029 SoftPLC Parameter 20|es|P1029 Parmetro SoftPLC 20";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1029
{
	SLOT 4;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1029 }
	}
}

WRITE_P1029 LIKE READ_P1029
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1029 }
		REPLY { }
	}
}

VARIABLE P1030
{
	LABEL "P1030 SoftPLC Parameter 21|de|P1030 SoftPLC Parameter 21|es|P1030 Parmetro SoftPLC 21";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1030
{
	SLOT 4;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1030 }
	}
}

WRITE_P1030 LIKE READ_P1030
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1030 }
		REPLY { }
	}
}

VARIABLE P1031
{
	LABEL "P1031 SoftPLC Parameter 22|de|P1031 SoftPLC Parameter 22|es|P1031 Parmetro SoftPLC 22";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1031
{
	SLOT 4;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1031 }
	}
}

WRITE_P1031 LIKE READ_P1031
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1031 }
		REPLY { }
	}
}

VARIABLE P1032
{
	LABEL "P1032 SoftPLC Parameter 23|de|P1032 SoftPLC Parameter 23|es|P1032 Parmetro SoftPLC 23";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1032
{
	SLOT 4;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1032 }
	}
}

WRITE_P1032 LIKE READ_P1032
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1032 }
		REPLY { }
	}
}

VARIABLE P1033
{
	LABEL "P1033 SoftPLC Parameter 24|de|P1033 SoftPLC Parameter 24|es|P1033 Parmetro SoftPLC 24";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1033
{
	SLOT 4;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1033 }
	}
}

WRITE_P1033 LIKE READ_P1033
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1033 }
		REPLY { }
	}
}

VARIABLE P1034
{
	LABEL "P1034 SoftPLC Parameter 25|de|P1034 SoftPLC Parameter 25|es|P1034 Parmetro SoftPLC 25";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1034
{
	SLOT 4;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1034 }
	}
}

WRITE_P1034 LIKE READ_P1034
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1034 }
		REPLY { }
	}
}

VARIABLE P1035
{
	LABEL "P1035 SoftPLC Parameter 26|de|P1035 SoftPLC Parameter 26|es|P1035 Parmetro SoftPLC 26";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1035
{
	SLOT 4;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1035 }
	}
}

WRITE_P1035 LIKE READ_P1035
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1035 }
		REPLY { }
	}
}

VARIABLE P1036
{
	LABEL "P1036 SoftPLC Parameter 27|de|P1036 SoftPLC Parameter 27|es|P1036 Parmetro SoftPLC 27";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1036
{
	SLOT 4;
	INDEX 15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1036 }
	}
}

WRITE_P1036 LIKE READ_P1036
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1036 }
		REPLY { }
	}
}

VARIABLE P1037
{
	LABEL "P1037 SoftPLC Parameter 28|de|P1037 SoftPLC Parameter 28|es|P1037 Parmetro SoftPLC 28";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1037
{
	SLOT 4;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1037 }
	}
}

WRITE_P1037 LIKE READ_P1037
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1037 }
		REPLY { }
	}
}

VARIABLE P1038
{
	LABEL "P1038 SoftPLC Parameter 29|de|P1038 SoftPLC Parameter 29|es|P1038 Parmetro SoftPLC 29";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1038
{
	SLOT 4;
	INDEX 17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1038 }
	}
}

WRITE_P1038 LIKE READ_P1038
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1038 }
		REPLY { }
	}
}

VARIABLE P1039
{
	LABEL "P1039 SoftPLC Parameter 30|de|P1039 SoftPLC Parameter 30|es|P1039 Parmetro SoftPLC 30";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1039
{
	SLOT 4;
	INDEX 18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1039 }
	}
}

WRITE_P1039 LIKE READ_P1039
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1039 }
		REPLY { }
	}
}

VARIABLE P1040
{
	LABEL "P1040 SoftPLC Parameter 31|de|P1040 SoftPLC Parameter 31|es|P1040 Parmetro SoftPLC 31";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1040
{
	SLOT 4;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1040 }
	}
}

WRITE_P1040 LIKE READ_P1040
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1040 }
		REPLY { }
	}
}

VARIABLE P1041
{
	LABEL "P1041 SoftPLC Parameter 32|de|P1041 SoftPLC Parameter 32|es|P1041 Parmetro SoftPLC 32";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1041
{
	SLOT 4;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1041 }
	}
}

WRITE_P1041 LIKE READ_P1041
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1041 }
		REPLY { }
	}
}

VARIABLE P1042
{
	LABEL "P1042 SoftPLC Parameter 33|de|P1042 SoftPLC Parameter 33|es|P1042 Parmetro SoftPLC 33";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1042
{
	SLOT 4;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1042 }
	}
}

WRITE_P1042 LIKE READ_P1042
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1042 }
		REPLY { }
	}
}

VARIABLE P1043
{
	LABEL "P1043 SoftPLC Parameter 34|de|P1043 SoftPLC Parameter 34|es|P1043 Parmetro SoftPLC 34";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1043
{
	SLOT 4;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1043 }
	}
}

WRITE_P1043 LIKE READ_P1043
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1043 }
		REPLY { }
	}
}

VARIABLE P1044
{
	LABEL "P1044 SoftPLC Parameter 35|de|P1044 SoftPLC Parameter 35|es|P1044 Parmetro SoftPLC 35";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1044
{
	SLOT 4;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1044 }
	}
}

WRITE_P1044 LIKE READ_P1044
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1044 }
		REPLY { }
	}
}

VARIABLE P1045
{
	LABEL "P1045 SoftPLC Parameter 36|de|P1045 SoftPLC Parameter 36|es|P1045 Parmetro SoftPLC 36";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1045
{
	SLOT 4;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1045 }
	}
}

WRITE_P1045 LIKE READ_P1045
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1045 }
		REPLY { }
	}
}

VARIABLE P1046
{
	LABEL "P1046 SoftPLC Parameter 37|de|P1046 SoftPLC Parameter 37|es|P1046 Parmetro SoftPLC 37";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1046
{
	SLOT 4;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1046 }
	}
}

WRITE_P1046 LIKE READ_P1046
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1046 }
		REPLY { }
	}
}

VARIABLE P1047
{
	LABEL "P1047 SoftPLC Parameter 38|de|P1047 SoftPLC Parameter 38|es|P1047 Parmetro SoftPLC 38";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1047
{
	SLOT 4;
	INDEX 26;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1047 }
	}
}

WRITE_P1047 LIKE READ_P1047
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1047 }
		REPLY { }
	}
}

VARIABLE P1048
{
	LABEL "P1048 SoftPLC Parameter 39|de|P1048 SoftPLC Parameter 39|es|P1048 Parmetro SoftPLC 39";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1048
{
	SLOT 4;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1048 }
	}
}

WRITE_P1048 LIKE READ_P1048
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1048 }
		REPLY { }
	}
}

VARIABLE P1049
{
	LABEL "P1049 SoftPLC Parameter 40|de|P1049 SoftPLC Parameter 40|es|P1049 Parmetro SoftPLC 40";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1049
{
	SLOT 4;
	INDEX 28;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1049 }
	}
}

WRITE_P1049 LIKE READ_P1049
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1049 }
		REPLY { }
	}
}

VARIABLE P1050
{
	LABEL "P1050 SoftPLC Parameter 41|de|P1050 SoftPLC Parameter 41|es|P1050 Parmetro SoftPLC 41";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1050
{
	SLOT 4;
	INDEX 29;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1050 }
	}
}

WRITE_P1050 LIKE READ_P1050
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1050 }
		REPLY { }
	}
}

VARIABLE P1051
{
	LABEL "P1051 SoftPLC Parameter 42|de|P1051 SoftPLC Parameter 42|es|P1051 Parmetro SoftPLC 42";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1051
{
	SLOT 4;
	INDEX 30;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1051 }
	}
}

WRITE_P1051 LIKE READ_P1051
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1051 }
		REPLY { }
	}
}

VARIABLE P1052
{
	LABEL "P1052 SoftPLC Parameter 43|de|P1052 SoftPLC Parameter 43|es|P1052 Parmetro SoftPLC 43";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1052
{
	SLOT 4;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1052 }
	}
}

WRITE_P1052 LIKE READ_P1052
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1052 }
		REPLY { }
	}
}

VARIABLE P1053
{
	LABEL "P1053 SoftPLC Parameter 44|de|P1053 SoftPLC Parameter 44|es|P1053 Parmetro SoftPLC 44";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1053
{
	SLOT 4;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1053 }
	}
}

WRITE_P1053 LIKE READ_P1053
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1053 }
		REPLY { }
	}
}

VARIABLE P1054
{
	LABEL "P1054 SoftPLC Parameter 45|de|P1054 SoftPLC Parameter 45|es|P1054 Parmetro SoftPLC 45";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1054
{
	SLOT 4;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1054 }
	}
}

WRITE_P1054 LIKE READ_P1054
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1054 }
		REPLY { }
	}
}

VARIABLE P1055
{
	LABEL "P1055 SoftPLC Parameter 46|de|P1055 SoftPLC Parameter 46|es|P1055 Parmetro SoftPLC 46";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1055
{
	SLOT 4;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1055 }
	}
}

WRITE_P1055 LIKE READ_P1055
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1055 }
		REPLY { }
	}
}

VARIABLE P1056
{
	LABEL "P1056 SoftPLC Parameter 47|de|P1056 SoftPLC Parameter 47|es|P1056 Parmetro SoftPLC 47";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1056
{
	SLOT 4;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1056 }
	}
}

WRITE_P1056 LIKE READ_P1056
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1056 }
		REPLY { }
	}
}

VARIABLE P1057
{
	LABEL "P1057 SoftPLC Parameter 48|de|P1057 SoftPLC Parameter 48|es|P1057 Parmetro SoftPLC 48";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1057
{
	SLOT 4;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1057 }
	}
}

WRITE_P1057 LIKE READ_P1057
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1057 }
		REPLY { }
	}
}

VARIABLE P1058
{
	LABEL "P1058 SoftPLC Parameter 49|de|P1058 SoftPLC Parameter 49|es|P1058 Parmetro SoftPLC 49";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1058
{
	SLOT 4;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1058 }
	}
}

WRITE_P1058 LIKE READ_P1058
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1058 }
		REPLY { }
	}
}

VARIABLE P1059
{
	LABEL "P1059 SoftPLC Parameter 50|de|P1059 SoftPLC Parameter 50|es|P1059 Parmetro SoftPLC 50";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1059
{
	SLOT 4;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1059 }
	}
}

WRITE_P1059 LIKE READ_P1059
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1059 }
		REPLY { }
	}
}











